<?php
/*
 * Default archive template for categories and tags
 */

get_header();

get_template_part( 'partials/header/banner' );

if( is_tag() )
{
    // to add recipe post type in default query and update posts_per_page accordingly to avoid 404 error
    global $wp_query;
    $old_max_num_page = intval( $wp_query->max_num_pages );
    $args = array_merge( $wp_query->query, array( 'post_type' => array( 'post', 'inspiry_recipes') ) );
    query_posts( $args );
    $new_found_posts = intval( $wp_query->found_posts );
    if( $old_max_num_page > 0 ) {
        $posts_per_page  = intval(ceil($new_found_posts / $old_max_num_page));
    } else {
        $posts_per_page  = $new_found_posts ;
    }
    $args = array_merge( $wp_query->query, array( 'posts_per_page' => $posts_per_page ) );
    query_posts( $args );
}

if ( is_active_sidebar( 'default-sidebar' ) ){
	$page_contents_classes = 'col-md-8 col-lg-9';
} else {
	$page_contents_classes = 'col-md-12';
}
?>

<!--main content area-->
<div class="wrapper-main-contents">
    <div class="container">
        <div class="row">
            <div class="<?php echo esc_attr( $page_contents_classes ); ?>">
                <?php
                /* Main loop */
                if ( have_posts() ) :

                    while ( have_posts() ) :

                        the_post();

	                    global $post;

	                    if( 'inspiry_recipes' == get_post_type( $post->ID ) ){
		                    get_template_part( 'partials/recipe/recipe-listing-item' );
	                    } else {
		                    $format = get_post_format( get_the_ID() );
		                    if ( false === $format ) {
			                    $format = 'standard';
		                    }

		                    if ( $format == 'quote' ) {
			                    $quote_text = get_post_meta( $post->ID, 'inspiry_meta_quote_text', true );
		                    }

		                    ?>
		                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			                    <?php
			                    // image, gallery or video based on format
			                    if ( in_array( $format, array( 'standard', 'image', 'gallery', 'video' ) ) ) :
				                    get_template_part( 'partials/post/entry-format', $format );
			                    endif;

			                    if( $format != 'quote' || empty( $quote_text ) ) :
				                    ?>

				                    <div class="post-contents">
					                    <div class="post-contents-inner">
						                    <?php

						                    if( $format == 'audio' ) :
							                    get_template_part( 'partials/post/entry-format', $format );
						                    endif;

						                    // title
						                    get_template_part( 'partials/post/entry-title' );

						                    // meta
						                    get_template_part( 'partials/post/entry-meta' );
						                    ?>
						                    <div class="entry-summary">
							                    <p>
								                    <?php
								                    if( strpos( get_the_content(), 'more-link' ) === false ) {
									                    the_excerpt();
								                    } else {
									                    the_content( '' );
								                    }
								                    ?>
							                    </p>
							                    <a href="<?php the_permalink(); ?>" rel="bookmark" class="read-more-bordered">
								                    <?php esc_html_e( 'Read More', 'inspiry-recipe-press' ); ?>
							                    </a>
						                    </div>

					                    </div>
				                    </div>
				                    <?php
			                    else :
				                    get_template_part( 'partials/post/entry-format', $format );
			                    endif;
			                    ?>

		                    </article>
		                    <?php
	                    }

                    endwhile;

                    global $wp_query;
                    inspiry_pagination( $wp_query );

                else :

                    inspiry_nothing_found();

                endif;
                ?>
            </div>

	        <?php
			if ( is_active_sidebar( 'default-sidebar' ) ) {
				?>
				<div class="col-md-4 col-lg-3">
					<?php get_sidebar(); ?>
				</div>
				<?php
			}
	        ?>
        </div>

    </div>
</div>
<!--main content area ends-->

<?php get_footer(); ?>