<?php
/*
 * Post Options
 */
global $opt_name;
Redux::setSection($opt_name, array(
    'title' => esc_html__('Blog', 'inspiry-recipe-press'),
    'id' => 'post-detail-section',
    'desc' => esc_html__('This section contains options for blog post templates.', 'inspiry-recipe-press'),
    'fields' => array(

        /*
         * Blog Single Tags
         */
        array(
            'id' => 'inspiry_post_bottom_tags',
            'type' => 'switch',
            'title' => esc_html__('Show Post Tags', 'inspiry-recipe-press'),
            'subtitle' => esc_html__('Do you want to display tags at the bottom of post detail page?', 'inspiry-recipe-press'),
            'default' => 1,
            'on' => esc_html__('Show', 'inspiry-recipe-press'),
            'off' => esc_html__('Hide', 'inspiry-recipe-press'),
        ),

	    /*
         * Blog Single Social Icons
         */
	    array(
		    'id' => 'inspiry_blog_social_links',
		    'type' => 'switch',
		    'title' => esc_html__('Show Social Icons', 'inspiry-recipe-press'),
		    'subtitle' => esc_html__('For best result, use the recommend social plugin.', 'inspiry-recipe-press'),
		    'default' => 1,
		    'on' => esc_html__('Show', 'inspiry-recipe-press'),
		    'off' => esc_html__('Hide', 'inspiry-recipe-press'),
	    ),

        /*
         * Recipe Single Social Icons
         */
        array(
            'id' => 'inspiry_post_next_prev_links',
            'type' => 'switch',
            'title' => esc_html__('Show Previous/Next Post Links', 'inspiry-recipe-press'),
            'subtitle' => esc_html__('Do you want to display next and previous post links at the bottom of post detail page?', 'inspiry-recipe-press'),
            'default' => 1,
            'on' => esc_html__('Show', 'inspiry-recipe-press'),
            'off' => esc_html__('Hide', 'inspiry-recipe-press'),
        ),

        /*
         * Related Posts
         */
        array(
            'id' => 'inspiry_related_posts',
            'type' => 'switch',
            'title' => esc_html__('Related Posts', 'inspiry-recipe-press'),
            'default' => 1,
            'on' => esc_html__('Show', 'inspiry-recipe-press'),
            'off' => esc_html__('Hide', 'inspiry-recipe-press'),
        ),
        array(
            'id' => 'inspiry_related_posts_title',
            'type' => 'text',
            'title' => esc_html__('Related Posts Title', 'inspiry-recipe-press'),
            'default' => esc_html__('Related Posts', 'inspiry-recipe-press'),
            'required' => array('inspiry_related_posts', '=', 1),
        ),
        array(
            'id' => 'inspiry_related_posts_count',
            'type' => 'select',
            'title' => esc_html__('Maximum number of related posts', 'inspiry-recipe-press'),
            'options' => array(
                3 => '3',
                6 => '6',
                9 => '9'
            ),
            'default' => 3,
            'select2' => array('allowClear' => false),
            'required' => array('inspiry_related_posts', '=', 1),
        ),

        /*
         * Blog Single Author
         */
        array(
            'id' => 'inspiry_post_author_info',
            'type' => 'switch',
            'title' => esc_html__('Author Details', 'inspiry-recipe-press'),
            'default' => 1,
            'on' => esc_html__('Show', 'inspiry-recipe-press'),
            'off' => esc_html__('Hide', 'inspiry-recipe-press'),
        ),
        array(
            'id' => 'inspiry_recipe_chef_info_title',
            'type' => 'text',
            'title' => esc_html__('Method Steps Area Title', 'inspiry-recipe-press'),
            'default' => esc_html__('Step by Step method', 'inspiry-recipe-press'),
            'required' => array('inspiry_recipe_chef_info', '=', 1)
        ),

        // Blog comments
        array(
            'id' => 'inspiry_post_comments_form_title',
            'type' => 'text',
            'title' => esc_html__('Comments Form Title', 'inspiry-recipe-press'),
            'default' => esc_html__('Leave A Comment', 'inspiry-recipe-press')
        ),
    )
));