<?php
/*
 * Footer Options
 */
global $opt_name;
global $fontawesomeurl;
global $inspiry_allowed_html_tags;

Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Footer', 'inspiry-recipe-press' ),
    'id'    => 'footer-section',
    'desc'  => esc_html__( 'This section contains options for footer.', 'inspiry-recipe-press' ),
    'fields'=> array(
        array(
            'id'        => 'inspiry_footer_design_variation',
            'type'      => 'image_select',
            'title'     => esc_html__( 'Footer Design Variation', 'inspiry-recipe-press' ),
            'subtitle'  => esc_html__( 'Select the design variation that you want to use for site footer.', 'inspiry-recipe-press' ),
            'options'   => array(
                '1' => array(
                    'alt' => esc_html__('1st Variation', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/footer/variation-1.jpg',
                ),
                '2' => array(
                    'alt' => esc_html__('2nd Variation', 'inspiry-recipe-press'),
                    'img' => get_template_directory_uri() . '/inc/theme-options/images/footer/variation-2.jpg',
                )
            ),
            'default'   => '1',
        ),
        array(
            'id'       => 'inspiry_footer_v1_style',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Select footer style.', 'inspiry-recipe-press' ),
            'options'  => array(
                'full-width'   => esc_html__( 'Full Width', 'inspiry-recipe-press' ),
                'boxed'        => esc_html__( 'Boxed', 'inspiry-recipe-press' )
            ),
            'default'  => 'full-width',
            'required'  => array('inspiry_footer_design_variation', '=', '1')
        ),

        // footer contents
        array(
            'id'       => 'inspiry_footer_logo',
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Footer Logo', 'inspiry-recipe-press' ),
            'subtitle' => esc_html__( 'Upload footer logo.', 'inspiry-recipe-press' ),
        ),
        array(
            'id'           => 'inspiry_footer_info_text',
            'type'         => 'textarea',
            'title'        => esc_html__( 'Footer Text With Logo', 'inspiry-recipe-press' ),
            'desc'         => esc_html__( 'Allowed html tags are a, br, em and strong.', 'inspiry-recipe-press' ),
            'validate'     => 'html_custom',
            'allowed_html' => $inspiry_allowed_html_tags
        ),
        array(
            'id'           => 'inspiry_copyright_html',
            'type'         => 'textarea',
            'title'        => esc_html__( 'Footer Copyright Text', 'inspiry-recipe-press' ),
            'desc'         => esc_html__( 'Allowed html tags are a, br, em and strong.', 'inspiry-recipe-press' ),
            'validate'     => 'html_custom',
            'default'      => sprintf( '&copy; Copyright 2020 All rights reserved by <a href="%1$s" target="_blank">Inspiry Themes</a>', esc_url( 'http://themeforest.net/user/inspiryThemes' ) ),
            'allowed_html' => $inspiry_allowed_html_tags
        )

    ) )
);

/* Call to Action Footer Sub Section */
require_once get_template_directory() . '/inc/theme-options/footer-options/call-to-action-options.php';

/* Social Icons Footer Sub Section */
//require_once get_template_directory() . '/inc/theme-options/footer-options/social-options.php';