<?php
/*
 * Call to action options
 */

global $opt_name;

Redux::setSection(
    $opt_name,
    array(
        'title' => esc_html__( 'Call to Action', 'inspiry-recipe-press' ),
        'id'    => 'footer-call-to-action-section',
        'desc'  => esc_html__( 'This section contains call to action banner options.', 'inspiry-recipe-press' ),
        'subsection' => true,
        'fields'=> array(
            array(
                'id'       => 'inspiry_call_to_action_banner',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Call to action banner', 'inspiry-recipe-press' ),
                'options'  => array(
                    'show'        => esc_html__( 'Show', 'inspiry-recipe-press' ),
                    'hide'        => esc_html__( 'Hide', 'inspiry-recipe-press' )
                ),
                'default'  => 'hide'
            ),
            array(
                'id'       => 'inspiry_footer_cta_image',
                'type'     => 'media',
                'url'      => false,
                'title'    => esc_html__( 'Call to action image', 'inspiry-recipe-press' ),
                'desc'     => esc_html__( 'Recommended size for this image is 200px by 180px with transparent background.', 'inspiry-recipe-press' ),
                'required'  => array('inspiry_call_to_action_banner', '=', 'show')
            ),
            array(
                'id'       => 'inspiry_footer_cta_heading',
                'type'     => 'text',
                'title'    => esc_html__( 'Call to action heading', 'inspiry-recipe-press' ),
                'subtitle' => esc_html__( 'Provide heading for call to action area. Try to be around 10 words to maintain the structure.', 'inspiry-recipe-press' ),
                'required'  => array('inspiry_call_to_action_banner', '=', 'show')
            ),
            array(
                'id'       => 'inspiry_footer_cta_text',
                'type'     => 'text',
                'title'    => esc_html__( 'Call to action text', 'inspiry-recipe-press' ),
                'subtitle' => esc_html__( 'Provide heading for call to action area. Try to be around 15 words to maintain the structure.', 'inspiry-recipe-press' ),
                'required'  => array('inspiry_call_to_action_banner', '=', 'show')
            ),
            array(
                'id'       => 'inspiry_footer_cta_button_text',
                'type'     => 'text',
                'title'    => esc_html__( 'Call to action button text', 'inspiry-recipe-press' ),
                'subtitle' => esc_html__( 'Provide label for call to action button.', 'inspiry-recipe-press' ),
                'default'  => esc_html__( 'Submit Recipe', 'inspiry-recipe-press' ),
                'required'  => array('inspiry_call_to_action_banner', '=', 'show')
            ),
            array(
                'id'       => 'inspiry_footer_cta_button_link',
                'type'     => 'text',
                'title'    => esc_html__( 'Call to action button link', 'inspiry-recipe-press' ),
                'subtitle' => esc_html__( 'Provide link for call to action button.', 'inspiry-recipe-press' ),
                'default' => '#',
                'required'  => array('inspiry_call_to_action_banner', '=', 'show')
            )
        )
    )
);