<?php
/*
 * Home Whats Hot Options
 */

global $opt_name;

$all_recipes = get_posts( array( 'post_type' => 'inspiry_recipes', 'posts_per_page' => 500 ) );
$recipe_list = array();
if( !empty( $all_recipes ) && is_array( $all_recipes ) ) {
	foreach ( $all_recipes as $recipe ) {
		$recipe_list[ $recipe->ID ] = $recipe->post_title;
	}
}

Redux::setSection(
    $opt_name,
    array(
        'title' => esc_html__( 'What\'s Hot', 'inspiry-recipe-press'),
        'id'    => 'whats-hot-home-section',
        'desc'  => esc_html__('This section contains home what\'s hot section related options.', 'inspiry-recipe-press'),
        'subsection' => true,
        'fields'=> array(
            array(
                'id'        => 'inspiry_home_whats_hot_variation',
                'type'      => 'image_select',
                'title'     => esc_html__( 'What\'s hot variations', 'inspiry-recipe-press' ),
                'subtitle'  => esc_html__( 'Select the design variation that you want to use for homepage what\'s hot recipes.', 'inspiry-recipe-press' ),
                'options'   => array(
                    '1' => array(
                        'alt' => esc_html__('1st Variation', 'inspiry-recipe-press'),
                        'img' => get_template_directory_uri() . '/inc/theme-options/images/home/whats-hot-v1.jpg',
                    ),
                    '2' => array(
                        'alt' => esc_html__('2nd Variation', 'inspiry-recipe-press'),
                        'img' => get_template_directory_uri() . '/inc/theme-options/images/home/whats-hot-v2.jpg',
                    ),
                    '3' => array(
                        'alt' => esc_html__('3rd Variation', 'inspiry-recipe-press'),
                        'img' => get_template_directory_uri() . '/inc/theme-options/images/home/whats-hot-v3.jpg',
                    ),
                ),
                'default'   => '1',
            ),
            array(
                'id'       => 'inspiry_whats_hot_v3_style',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Select text block style', 'inspiry-recipe-press' ),
                'options'  => array(
                    'white'        => esc_html__( 'White', 'inspiry-recipe-press' ),
                    'pink'        => esc_html__( 'Pink', 'inspiry-recipe-press' )
                ),
                'default'  => 'white',
                'required' => array( 'inspiry_home_whats_hot_variation', '=', 3 )
            ),
            array(
                'id'       => 'inspiry_whats_hot_title',
                'type'     => 'text',
                'title'    => esc_html__( 'Provide title for what\'s hot section', 'inspiry-recipe-press' )
            ),
            array(
                'id'       => 'inspiry_home_whats_hot_listing_type',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Select a listing type', 'inspiry-recipe-press' ),
                'options'  => array(
                    'recent'        => esc_html__( 'Recent', 'inspiry-recipe-press' ),
                    'selected'        => esc_html__( 'Selected', 'inspiry-recipe-press' )
                ),
                'default'  => 'recent',
            ),
            array(
                'id'       => 'inspiry_whats_hot_post_count_v1',
                'type'     => 'select',
                'title'    => esc_html__( 'Number of recipes to display', 'inspiry-recipe-press' ),
                'options'  => array(
                    6  => '6',
                    12  => '12',
                    18  => '18',
                    25  => '24',
                ),
                'default'  => 6,
                'select2'  => array( 'allowClear' => false ),
                'required' => array(
	                array('inspiry_home_whats_hot_variation','equals','1'),
	                array('inspiry_home_whats_hot_listing_type','equals','recent')
                )

            ),
            array(
                'id'       => 'inspiry_whats_hot_post_count_v2',
                'type'     => 'select',
                'title'    => esc_html__( 'Number of recipes to display', 'inspiry-recipe-press' ),
                'options'  => array(
                    3  => '3',
                    6  => '6',
                    9  => '9',
                    12  => '12'
                ),
                'default'  => 3,
                'select2'  => array( 'allowClear' => false ),
                'required' => array(
	                array('inspiry_home_whats_hot_variation','equals','2'),
	                array('inspiry_home_whats_hot_listing_type','equals','recent')
                )
            ),
            array(
                'id'       => 'inspiry_whats_hot_post_count_v3',
                'type'     => 'select',
                'title'    => esc_html__( 'Number of recipes to display', 'inspiry-recipe-press' ),
                'options'  => array(
                    2  => '2',
                    4  => '4',
                    6  => '6',
                    8  => '8',
                    10  => '10',
                    12  => '12',
                    14  => '14'
                ),
                'default'  => 4,
                'select2'  => array( 'allowClear' => false ),
                'required' => array(
	                array( 'inspiry_home_whats_hot_variation','equals', '3' ),
	                array( 'inspiry_home_whats_hot_listing_type','equals', 'recent' )
                )
            ),
	        array(
		        'id'       => 'inspiry_home_whats_hot_selected_checks',
		        'type'     => 'checkbox',
		        'title'    => esc_html__('Select recipes you want to list in whats hot', 'inspiry-recipe-press'),
		        'options'  => $recipe_list,
		        'required' => array( 'inspiry_home_whats_hot_listing_type','equals', 'selected' )
	        ),
            array(
                'id'        => 'inspiry_home_whats_hot_corner_image',
                'type'      => 'media',
                'title'     => esc_html__( 'Corner Image', 'inspiry-recipe-press' ),
                'subtitle'  => esc_html__( 'Upload an image for corner of whats hot section.', 'inspiry-recipe-press' )
            ),
            array(
                'id'       => 'inspiry_home_whats_hot_corner_image_side',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Select a side for corner image', 'inspiry-recipe-press' ),
                'options'  => array(
                    'left-bottom'        => esc_html__( 'Left Bottom', 'inspiry-recipe-press' ),
                    'right-bottom'        => esc_html__( 'Right Bottom', 'inspiry-recipe-press' )
                ),
                'default'  => 'left-bottom',
            ),
            array(
                'id'            => 'inspiry_home_whats_hot_corner_image_margin',
                'type'          => 'spacing',
                'output'        => array( '.whatshot-corner-image' ),
                'mode'          => 'margin',
                'title'         => esc_html__( 'Margins', 'inspiry-recipe-press' ),
                'desc'         => esc_html__( 'Give margins according to your side selections. Left margin for left bottom side and right for right bottom.', 'inspiry-recipe-press' ),
                'units'          => array( 'em', 'px' ),
                'units_extended' => 'false',
                'top'           => false,
                'default'            => array(
                    'margin-right'   => '',
                    'margin-bottom'  => '-75',
                    'margin-left'    => '-210',
                    'units'          => 'px'
                )
            )
        )
    )
);