<?php
/*
 * Home Banner Options
 */

global $opt_name;

Redux::setSection(
    $opt_name,
    array(
        'title' => esc_html__( 'Submit Recipe Template', 'inspiry-recipe-press' ),
        'id'    => 'submit-recipe-members-section',
        'desc'  => esc_html__( 'This section contains options related to Submit Recipe Template.', 'inspiry-recipe-press' ),
        'subsection' => true,
        'fields'=> array(
	        array(
		        'id'       => 'inspiry_submit_recipe_page',
		        'type'     => 'select',
		        'data'     => 'pages',
		        'title'    => esc_html__( 'Submit Recipe Page', 'inspiry-recipe-press' ),
		        'desc'     => esc_html__( 'Make sure the selected page is using Submit Recipe template.', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_default_submit_status',
		        'type'     => 'button_set',
		        'title'    => esc_html__( 'Default Status of Submitted Recipe', 'inspiry-recipe-press' ),
		        'options'  => array(
			        'pending' => esc_html__( 'Pending for Review', 'inspiry-recipe-press' ),
			        'publish' => esc_html__( 'Publish', 'inspiry-recipe-press' ),
		        ),
		        'default'  => 'pending',
		        'required' => array( 'inspiry_submit_recipe_page', '>', 0 )
	        ),
	        array(
		        'id'       => 'inspiry_submit_notice_email',
		        'type'     => 'text',
		        'title'    => esc_html__( 'Email for Recipe Submit Notice', 'inspiry-recipe-press' ),
		        'desc'     => esc_html__( 'This email address will receive a notice whenever a user submits a recipe.', 'inspiry-recipe-press' ),
		        'validate' => 'email',
		        'required' => array( 'inspiry_submit_recipe_page', '>', 0 )
	        ),
//	    array(
//		    'id'   =>'inspiry_submit_form_divider_1',
//		    'desc' => esc_html__('This is the description field, again good for additional info.', 'redux-framework-demo'),
//		    'type' => 'divide'
//	    ),
	        array(
		        'id'       => 'inspiry_submit_form_description_required',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Submit/Edit form description required?', 'inspiry-recipe-press' ),
		        'desc'    => esc_html__( 'Do you want to make the description field required?', 'inspiry-recipe-press' ),
		        'default'  => 0,
		        'on'       => esc_html__( 'Required', 'inspiry-recipe-press' ),
		        'off'      => esc_html__( 'Not Required', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'        => 'inspiry_submit_form_ingre_main_title_show',
		        'type'      => 'switch',
		        'title'     => esc_html__( 'Ingredients Main Title Show/Hide', 'inspiry-recipe-press' ),
		        'desc'      => esc_html__( 'This title is part of the Inspiry Recipes plugin and can be modified from the recipe meta information.', 'inspiry-recipe-press' ),
		        'default'   => 1,
		        'on'        => esc_html__( 'Show', 'inspiry-recipe-press' ),
		        'off'       => esc_html__( 'Hide', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_submit_form_steps_main_title_show',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Method Steps Main Title Show/Hide', 'inspiry-recipe-press' ),
		        'desc'      => esc_html__( 'This title is part of the Inspiry Recipes plugin and can be modified from the recipe meta information.', 'inspiry-recipe-press' ),
		        'default'  => 1,
		        'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
		        'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_submit_form_video_field_show',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Recipe Video URL field Show/Hide', 'inspiry-recipe-press' ),
		        'default'  => 1,
		        'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
		        'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_submit_form_tags_field_show',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Recipe Tags field Show/Hide', 'inspiry-recipe-press' ),
		        'default'  => 1,
		        'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
		        'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_submit_form_tips_fields_show',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Tips &amp; Variation section Show/Hide', 'inspiry-recipe-press' ),
		        'default'  => 1,
		        'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
		        'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_submit_form_chef_author_show',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Chef/Author section Show/Hide', 'inspiry-recipe-press' ),
		        'default'  => 1,
		        'on'       => esc_html__( 'Show', 'inspiry-recipe-press' ),
		        'off'      => esc_html__( 'Hide', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_submit_message_to_reviewer',
		        'type'     => 'switch',
		        'title'    => esc_html__( 'Message for Reviewer on Recipe Submit Form', 'inspiry-recipe-press' ),
		        'default'  => 1,
		        'on'       => esc_html__('Show', 'inspiry-recipe-press'),
		        'off'      => esc_html__('Hide', 'inspiry-recipe-press'),
		        'required' => array(
			        array( 'inspiry_submit_recipe_page', '>', 0 ),
			        array( 'inspiry_submit_notice_email', '!=', '' ),
		        ),
	        ),
	        array(
		        'id'       => 'inspiry_recipe_submit_button_text',
		        'type'     => 'text',
		        'title'    => esc_html__( 'Submit Button Text', 'inspiry-recipe-press' ),
		        'default'    => esc_html__( 'Submit Your Recipe', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_recipe_update_button_text',
		        'type'     => 'text',
		        'title'    => esc_html__( 'Update Button Text', 'inspiry-recipe-press' ),
		        'default'    => esc_html__( 'Update Recipe', 'inspiry-recipe-press' ),
	        ),
	        array(
		        'id'       => 'inspiry_submit_pre_login_title',
		        'type'     => 'text',
		        'title'    => esc_html__( 'Pre Login Message Title', 'inspiry-recipe-press' ),
		        'default'  => esc_html__( 'Login Required', 'inspiry-recipe-press' )
	        ),
	        array(
		        'id'       => 'inspiry_submit_pre_login_text',
		        'type'     => 'textarea',
		        'title'    => esc_html__( 'Pre Login Message Text', 'inspiry-recipe-press' ),
		        'default'  => esc_html__( 'You need to login to submit a recipe!', 'inspiry-recipe-press' )
	        ),
	        array(
		        'id'       => 'inspiry_submit_success_message',
		        'type'     => 'text',
		        'title'    => esc_html__( 'Recipe Submit Success Message', 'inspiry-recipe-press' ),
		        'default'  => esc_html__( 'Recipe Added Successfully!', 'inspiry-recipe-press' )
	        )
        )
    )
);