(function ($) {
    "use strict";

    /*-----------------------------------------------------------------------------------*/
    /* Advance Search Select-ables
     /*-----------------------------------------------------------------------------------*/
    if (jQuery().selectric) {
        $( ".advance-selectable" ).selectric();
        $('.widget select').selectric();
    }

    /*-----------------------------------------------------------------------------------*/
    /* home main slider variation three
     /*-----------------------------------------------------------------------------------*/
    if (jQuery().slick) {

        var sliderRTL = false;
        if( scriptVar['isRTL'] ){
            sliderRTL = true;
        }

        // Slider home variation one
        $('#sync1').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            speed: 1000,
            autoplay: true,
            autoplaySpeed: 7000,
            asNavFor: '#sync2',
            infinite: true,
            pauseOnHover : true,
            prevArrow: $('.left-arrow'),
            nextArrow: $('.right-arrow'),
            rtl: sliderRTL
        });

        $('#sync2').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            asNavFor: '#sync1',
            speed: 1000,
            arrows: false,
            fade: true,
            pauseOnHover: true,
            rtl: sliderRTL
        });

        $('#sync1').on('beforeChange', function(event, slick, currentSlide, nextSlide){
            $('#sync1 .featured').fadeOut(100);
        });

        $('#sync1').on('afterChange', function(event, slick, currentSlide, nextSlide){
            $('#sync1 .featured').fadeIn(200);
        });


        // Fluid slider home variation two
        $('.fluid-slider-var2').slick({
            autoplay: true,
            infinite: true,
            fade: true,
            pauseOnHover: false,
            dots: true,
            rtl: sliderRTL
        });


        // Slider home variation three
        $('.box-slider-var3').slick({
            autoplay: true,
            infinite: true,
            fade: true,
            pauseOnHover: true,
            dots: true,
            arrows: false,
            rtl: sliderRTL
        });


        // Recipe slider variation two
        $('.slider-detail2').slick({
            autoplay: true,
            infinite: true,
            pauseOnHover: true,
            prevArrow: $('.left-arrow'),
            nextArrow: $('.right-arrow'),
            rtl: sliderRTL
        });


        // shortcode slider function
        $('#shortcode-slider1').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            speed: 1000,
            autoplay: true,
            autoplaySpeed: 7000,
            asNavFor: '#sync2',
            infinite: true,
            pauseOnHover : true,
            prevArrow: $('.sc-slider-left'),
            nextArrow: $('.sc-slider-right'),
            rtl: sliderRTL
        });


        // Slick search recipe types carousel
        $('#search-carousel').slick({
            infinite: true,
            slidesToShow: 5,
            slidesToScroll: 1,
            autoplay: false,
            touchThreshold: 50,
            arrows: false,
            autoplaySpeed: 1000,
            speed: 1000,
            rtl: sliderRTL,
            pauseOnHover: false,
            swipeToSlide: true,
            responsive: [
                {
                    breakpoint: 1199,
                    settings: {
                        slidesToShow: 3

                    }
                },
                {
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 4

                    }
                },
                {
                    breakpoint: 767,
                    settings: {
                        slidesToShow: 3

                    }
                },
                {
                    breakpoint: 450,
                    settings: {
                        slidesToShow: 2

                    }
                }
            ]
            //infinite: false
        });



        // post slider
        $('.post-slider').slick({
            autoplay: true,
            prevArrow: $('.left-arrow'),
            nextArrow: $('.right-arrow'),
            rtl: sliderRTL

        });


        // latest news slider
        $('.latest-news-slider').slick({
            infinite: true,
            slidesToShow: 1,
            slidesToScroll: 1,
            arrows: false,
            dots: true,
            autoplay: false,
            rtl: sliderRTL
        });

        // unslick on print

        $(".print-button").on('click', function(e){

            $(".steps-tabs").slick('unslick');
            $(".steps-detail").slick('unslick');
            window.print();
            e.preventDefault();
        } );
    }



    /*-----------------------------------------------------------------------------------*/
    /* Flex Slider functions
    /*-----------------------------------------------------------------------------------*/

    if (jQuery().flexslider) {

        // Recipe detail variation one thumbnail slider
        $('#recipe-carousel-flex').flexslider({
            animation: "slide",
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 100,
            itemMargin: 19,
            // move: 1,
            asNavFor: '#single-slider-flex'
        });

        $('#single-slider-flex').flexslider({
            animation: "slide",
            directionNav: false,
            controlNav: false,
            animationLoop: false,
            slideshow: true,
            sync: "#recipe-carousel-flex"
        });

        $('.top-slider .custom-arrows span').on('click', function(){
            var direction = $(this).data('direction');
            $('#single-slider-flex').flexslider(direction);
            return false;
        });

        $('#recipe-slider-carousel .custom-arrows span').on('click', function(){
            var direction = $(this).data('direction');
            $('#recipe-carousel-flex').flexslider(direction);
            return false;
        });


        // Flex slider for shortcoded thumbnail slider
        $('#shortcode-slider-carousel').flexslider({
            animation: "slide",
            controlNav: false,
            directionNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: 100,
            itemMargin: 19,
            // move: 1,
            asNavFor: '#shortcode-slider-top'
        });

        $('#shortcode-slider-top').flexslider({
            animation: "slide",
            directionNav: false,
            controlNav: false,
            animationLoop: false,
            slideshow: true,
            sync: "#shortcode-slider-carousel"
        });

        $('.wrapper-slider-detail .shortcode-arrows span').on('click', function(){
            var direction = $(this).data('direction');
            $('#shortcode-slider-top').flexslider(direction);
            return false;
        });

        $('.shortcode-slider-thumb .shortcode-arrows span').on('click', function(){
            var direction = $(this).data('direction');
            $('#shortcode-slider-carousel').flexslider(direction);
            return false;
        });

    }


    /*-----------------------------------------------------------------------------------*/
    /* Mean Menu
    /*-----------------------------------------------------------------------------------*/
    function menuDrop(target){
        var mainMenuItem = $(target);
        mainMenuItem.on( 'mouseenter',
            function () {
                $(this).children('ul').stop(true).slideDown(200);
            });

        mainMenuItem.on( 'mouseleave',
            function () {
                $(this).children('ul').stop(true).slideUp(200);
            }
        );
    }

    function menuDropClick(target){
        var mainMenuItem = $(target);
        mainMenuItem.on( 'click',
            function () {
                if($(this).children('ul').hasClass('opened')){
                    $(this).children('ul').stop(true).slideUp(200).removeClass('opened');
                } else {
                    $(this).children('ul').stop(true).slideDown(200).addClass('opened');
                }
            });
    }

    function menuDropfn() {
        var currentWidth = $( document ).width();
        if ( currentWidth < 1199 ) {
            menuDropClick( ".sign-in-buttons" );
            $('.sign-in-buttons .logged-in-user').on( 'click', function(e){ e.preventDefault(); });
        } else {
            menuDrop( ".sign-in-buttons" );
        }
    }

    menuDrop(".top-nav ul li");
    menuDrop(".nav-collapse ul li");

    $(window).on( 'resize', menuDropfn());

    if($(".header").hasClass("header-var1")){
        var navList = $(".main-menu.left").html();
        navList += $(".main-menu.right").html();

        $('.responsive-menu').html("<ul>" + navList + "</ul>");
    }

    if (jQuery().meanmenu) {
        $('.responsive-menu').meanmenu({
            meanScreenWidth: "991"
        });
    }



    /*-----------------------------------------------------------------------------------*/
    /* add ingredients
    /*-----------------------------------------------------------------------------------*/
    if(jQuery().meanmenu) {
        var list_sortable = $(".list-sortable");
        list_sortable.parents("body").addClass("visible-overflow");
        //  sortable
        if( jQuery().sortable ){
            list_sortable.sortable({
                forcePlaceholderSize: true,
                placeholder: "detail-placeholder",
                handle: ".handler-list"
            });
        }
    }


    $('.add-button.add-nut').on("click",function(event){

        var newInspiryItem= '<li style="display: none">' +
            '<div class="add-fields">' +
            ' <span class="handler-list"><i class="fas fa-arrows-alt"></i></span>' +
            ' <input type="text" name="nutrients[]" id="nutrients"/>' +
            ' <span class="del-list"><i class="far fa-trash-alt"></i></span>' +
            '</div>'+
            '</li>';
        $( '.list-sortable.nutrients-list').append( newInspiryItem );
        $( '.list-sortable.nutrients-list').children("li").slideDown();
        bindInspiryItem();

        event.preventDefault();
    });


    $('.add-button.add-steps').on("click",function(event){
        event.preventDefault();
        var newInspiryItem = '<li style="display: none">' +
            '<div class="add-fields">' +
            ' <span class="handler-list"><i class="fas fa-arrows-alt"></i></span>' +
            ' <input type="text" name="step_titles[]" />' +
            ' <span class="del-list"><i class="far fa-trash-alt"></i></span>' +
            '</div>' +
            '<textarea class="short-text step-content" name="steps[]" cols="30" rows="10"></textarea>' +
            '</li>';


        $( '.list-sortable.steps').append( newInspiryItem);
        $('.list-sortable.steps').children("li").slideDown();
        bindInspiryItem();
    });

    $('.add-button.add-ingre-set').on("click",function(event){
        event.preventDefault();
        var newInspiryItem = '<li style="display: none">' +
            '<div class="add-fields">' +
            ' <span class="handler-list"><i class="fas fa-arrows-alt"></i></span>' +
            ' <input type="text" name="set_titles[]" />' +
            ' <span class="del-list"><i class="far fa-trash-alt"></i></span>' +
            '</div>' +
            '<textarea class="short-text set-content" name="ingredient_sets[]" cols="30" rows="10"></textarea>' +
            '</li>';

        $( '.list-sortable.ingredients').append( newInspiryItem);
        $('.list-sortable.ingredients').children("li").slideDown();
        bindInspiryItem();
    });


    $('.add-button.add-tip').on("click",function(event){
        event.preventDefault();
        var newInspiryItem = '<li style="display: none">' +
            '<div class="add-fields">' +
            '<span class="handler-list"><i class="fas fa-arrows-alt"></i></span>' +
            '<textarea class="short-text tip-content" name="all_tips[]" cols="30" rows="10" placeholder="Tip details"></textarea>' +
            '<span class="del-list"><i class="far fa-trash-alt"></i></span>' +
            '</div>' +
            '</li>';

        $( '.list-sortable.tips').append( newInspiryItem);
        $('.list-sortable.tips').children("li").slideDown();
        bindInspiryItem();
    });


    bindInspiryItem();

    function bindInspiryItem(){

        /* Bind click event to remove detail icon button */

        $('.del-list').on("click",function(event){
            event.preventDefault();
            var $this = $( this );
            $this.closest( 'li' ).slideUp(function() { $(this).remove(); });

        });
    }


    /*-----------------------------------------------------------------------------------*/
    /* advance search toggle
    /*-----------------------------------------------------------------------------------*/
    var outerAdvanceSearch = $(".outer-advance-search"),
        advanceSearch = $(".advance-search");

    $(advanceSearch).on("click", ".tag-inner", function(){
        $(outerAdvanceSearch).stop(true, true).slideToggle();
        $(advanceSearch).stop(true, true).toggleClass('open');

    });

    if ($(advanceSearch).hasClass("open")){
        $(outerAdvanceSearch).css('display', 'block');
    }
    /*-----------------------------------------------------------------------------------*/
    /* Listing list end grid buttons
    /*-----------------------------------------------------------------------------------*/
    $('.listing-buttons span').on("click",function(){
        $('.listing-buttons span').removeClass("current");
        if( $(this).hasClass("grid")){
            $(this).addClass("current");
            if($(".recipe-listing").hasClass("listing-list")){
                $(".recipe-listing").removeClass("listing-list").addClass("listing-grid");
            }

        }
        if( $(this).hasClass("list")){
            $(this).addClass("current");
            $(".recipe-listing").removeClass("listing-grid").addClass("listing-list");

        }
    });


    /*-----------------------------------------------------------------------------------*/
    /* Tabs
    /*-----------------------------------------------------------------------------------*/
    var $tabsNav = $('.tabs-nav'),
        $tabsNavLis = $tabsNav.children('li');

    $tabsNav.each(function () {
        var $this = $(this);
        $this.next().children('.tab-content').stop(true, true).hide()
            .first().show();
        $this.children('li').first().addClass('active').stop(true, true).show();
    });

    $tabsNavLis.on('click', function (e) {
        var $this = $(this);
        $this.siblings().removeClass('active').end()
            .addClass('active');
        var idx = $this.parent().children().index($this);
        $this.parent().next().children('.tab-content').stop(true, true).hide().eq(idx).fadeIn();
        e.preventDefault();
    });


    /*-----------------------------------------------------------------------------------*/
    /*	Accordion
    /*-----------------------------------------------------------------------------------*/
    $('dl.accordion dt:first-of-type').addClass('current');
    $('dl.accordion dt').on("click",function(){
        $(this).siblings('dt').removeClass('current');
        $(this).addClass('current').next('dd').stop(true, true).slideDown(500).siblings('dd').stop(true, true).slideUp(500);
    });


    /*-----------------------------------------------------------------------------------*/
    /*	Animation CSS integrated with wow.js Plugin
    /*----------------------------------------------------------------------------------*/
    new WOW().init({ });

    $(function (){
        if (!$(".footer").hasClass("animate-footer")) {
            $(".footer").find(".wow").addClass("disable-wow");
        }
    });

    /*-----------------------------------------------------------------------------------*/
    /* swipebox
    /*-----------------------------------------------------------------------------------
    if (jQuery().swipebox) {
        $('.swipebox').swipebox();
    }
*/
    /*-----------------------------------------------------------------------------------*/
    /* Alert close
    /*-----------------------------------------------------------------------------------*/
    $(".close-alert").on("click",function(){
        $(this).parent(".alert").slideUp();
    });

    /*----------------------------------------------------------------------------------*/
    /* Contact Form AJAX validation and submission
    /*---------------------------------------------------------------------------------- */
    if (jQuery().validate && jQuery().ajaxSubmit) {

        var submitButton = $('#submit-button'),
            ajaxLoader = $('#contact-loader'),
            messageContainer = $('#message-container'),
            errorContainer = $("#error-container");

        var formOptions = {
            beforeSubmit: function () {
                submitButton.attr('disabled', 'disabled');
                ajaxLoader.fadeIn('fast');
                messageContainer.fadeOut('fast');
                errorContainer.fadeOut('fast');
            },
            success: function (ajax_response, statusText, xhr, $form) {
                var response = $.parseJSON(ajax_response);
                ajaxLoader.fadeOut('fast');
                submitButton.removeAttr('disabled');
                if (response.success) {
                    $form.resetForm();
                    messageContainer.html(response.message).fadeIn('fast');
                } else {
                    errorContainer.html(response.message).fadeIn('fast');
                }
            }
        };

        $('#contact-form').each(function () {
            $(this).validate({
                errorLabelContainer: errorContainer,
                submitHandler: function (form) {
                    $(form).ajaxSubmit(formOptions);
                }
            });
        });

    }

    // Delete recipe confirmation
    $('.delete-recipe').on('click', function(e){
        var currentRecipeTitle = $(this).parent('div').parent('div').children('.entry-header').children('h4').children('a').text();
        if(!confirm( scriptVar.recipeDeleteConfirmation + ' "' + currentRecipeTitle + '"?')){
            e.preventDefault();
        }
    });


    /*-----------------------------------------------------------------------------------*/
    /*	Rating options
    /*----------------------------------------------------------------------------------*/
    var rateStatus;
    var rateLoader = $( '#rating-loader' );
    var rateOutput = $( '#output' );
    var rateBody = $( '.rate-body' );
    var rateForm = $( '.rate-body form' );
    var ratingSpan = $( '.rate-body .rating-icons span' );

    ratingSpan.on( 'mouseenter', function(){
        var itemCount = $(this).index()+2;
        var i = 0;
        while(i<itemCount){
            $('.rate-body .rating-icons span:nth-child('+ i +')').removeClass('off');
            i++;
        }
    });

    ratingSpan.on( 'mouseleave', function(){
        var i = 0;
        $('.rate-body .rating-icons span').addClass('off');
        while(i<rateStatus){
            $('.rate-body .rating-icons span:nth-child('+ i +')').removeClass('off');
            i++;
        }
    });

    ratingSpan.on( 'click', function(){

        rateStatus = $(this).index()+2;

        $('#selected_rating').attr('value', rateStatus-1);

        var rating_options = {
            target: '#output',   // target element(s) to be updated with server response
            beforeSubmit: function(){

                $('#output').fadeOut( 200 );
                rateForm.fadeOut( 200, function(){
                    rateLoader.fadeIn( 200 );
                });
                rateBody.css( 'opacity', '1').css( 'left', '0' );
            },
            success: function(){
                rateLoader.fadeOut( 200, function(){
                    rateOutput.fadeIn( 200, function(){
                        rateBody.delay(2000).fadeOut( 500, function(){
                            $('#recipe-ratings').load(document.URL +  ' #recipe-ratings');
                        });
                    });
                });
            }
        };

        $('#rate-product').ajaxSubmit(rating_options);
    });


    $(window).on( 'load', function () {
        /*-----------------------------------------------------------------------------------*/
        /* page loader
        /*-----------------------------------------------------------------------------------*/
        $(".loadr").fadeOut();
        jQuery(".preloader").delay(200).fadeOut("slow").delay(200, function(){
            jQuery(this).remove();
        });

        /*-----------------------------------------------------------------------------------*/
        /* animation on page load
        /*-----------------------------------------------------------------------------------*/
        $('.fade-load-left').queue(function(){
            $(this).addClass("fadeInLeft");
        });

        $('.fade-load-right').queue(function(){
            $(this).addClass("fadeInRight");
        });
        $('.fade-load-up').queue(function(){
            $(this).addClass("fadeInUp");
        });
        $('.fade-load-down').queue(function(){
            $(this).addClass("fadeInDown");
        });


        /*-----------------------------------------------------------------------------------*/
        /* Shopping List Functionality
        /*-----------------------------------------------------------------------------------*/
        var shoppingWrap = $('.shopping-list-wrap'),
            wrapperWidth = 0,
            shoppingButton = $('.shopping-list-wrap .button'),
            shoppingItemsWrap = $('.shopping-list-wrap .list-items'),
            itemAddButton = $('.shop-list-add'),
            shoppingListButtons = $('.list-buttons'),
            printShoppingList = $('.print-btn'),
            emailShoppingList = $('.email-btn'),
            removeItem = $('.removeit');

        shoppingButton.live( 'click', function(e){
            if( shoppingWrap.hasClass( 'active' ) ){
                if(wrapperWidth < 1){
                    wrapperWidth = shoppingWrap.width() + 11;
                }
                shoppingWrap.css( 'right', -wrapperWidth ).removeClass( 'active' );
                $(this).css('left', '-45px');
            } else {
                shoppingItemsWrap.show();
                shoppingWrap.show().css( 'right', '0' ).addClass( 'active' );
                $(this).css('left', '-40px');
            }

            e.preventDefault();
        });

        var existingOnes = [],
            ingreCount = [];
        itemAddButton.live( 'click', function(){
            var ingreItem = $(this).siblings('label').children('.text').text(),
                ingreClass = ingreItem.replace('.','').replace(',','');
            ingreClass = ingreClass.replace(/[^\w\s]/gi, '');
            ingreClass = ingreClass.split(' ').join('');
            if( (existingOnes.indexOf(ingreClass) > -1) ){
                ingreCount[ingreItem]++;
            } else {
                ingreCount[ingreItem] = 1;
                existingOnes.push(ingreClass);
            }

            if( ingreCount[ingreItem] > 1 ){
                $('.' + ingreClass + ' .count').text('(' + ingreCount[ingreItem] + ')').removeClass('inactive');
            } else {
                shoppingItemsWrap.append('<li class="' + ingreClass + '">' + ingreItem + '<span class="count inactive"></span> <span class="removeit">-</span></li>');
            }

            if( !shoppingWrap.hasClass( 'active' ) ){
                shoppingWrap.css( 'right', '0').css( 'display', 'block' ).addClass( 'active').removeClass('not-active');
            }

            var shoppingWrapUl = document.getElementById('list-items-ul');
            shoppingWrapUl.scrollTop = shoppingWrapUl.scrollHeight;

        });

        removeItem.live( 'click', function(){
            var currentItemClass = $(this).parent().attr('class');
            for(var $i = 0; $i <= existingOnes.length-1; $i++){
                if(existingOnes[$i] === currentItemClass){
                    existingOnes.splice($i, 1);
                }
            }

            $(this).hide();
            $(this)
                .parent()
                .slideUp(
                    200,
                    function(){
                        $(this).remove();
                        if(shoppingItemsWrap.children('li').length == 0){
                            shoppingWrap.fadeOut( 200 ).removeClass( 'active' );
                        }
                    }
                );
        });

        printShoppingList.on( 'click', function(){
            $("#DivIdToPrint").printThis({
                debug: false,                                // show the iframe for debugging
                importCSS: false,                           // import page CSS
                importStyle: false,                        // import style tags
                printContainer: true,                     // grab outer container as well as the contents of the selector
                loadCSS: scriptVar.templateuri + "/css/sl-print.css", // path to additional css file - us an array [] for multiple
                pageTitle: false,                       // add title to print page
                removeInline: false,                   // remove all inline styles from print elements
                printDelay: 333,                      // variable print delay; depending on complexity a higher value may be necessary
                header: null,                        // prefix to html
                formValues: true                    // preserve input/form values
            });
        });

        emailShoppingList.on( 'click', function(e){

            var emailContents = '';
            shoppingItemsWrap.children( 'li').each(function(){
                var innerContent = $(this).html();
                innerContent = inspiryStrintCut( innerContent );
                emailContents += innerContent + '%0A';
            });

            var currentAttr = emailShoppingList.attr( 'href' );
            var newEmailAttr = currentAttr + emailContents;

            emailShoppingList.attr( 'href', newEmailAttr );
        });

        function inspiryStrintCut(str, cutStart, cutEnd){
            return str
                .replace('<li>','')
                .replace('</li>','')
                .replace('<span class="count">', '%20')
                .replace('</span>', '')
                .replace('<span class="removeit">-</span>','')
                .replace('<span class="count inactive">', '');
        }
    });


    /*-----------------------------------------------------------------------------------*/
    /* Multiple Ingredients Tabs Functionality
    /*-----------------------------------------------------------------------------------*/
    var ingreTab = $('.ingre-tabs li'),
        ingreList = $('.ingre-lists');

    ingreTab.on( 'click', function(){
        if(!$(this).hasClass('active')){
            ingreTab.removeClass('active');
            $(this).addClass('active');
            var thisNum = $(this).index();
            $('.ingre-lists .current').removeClass('current').slideUp(250, 'linear', function(){
                ingreList.children('div:eq(' + thisNum + ')').addClass('current').slideDown(250);
            });
        }
    });


    // General adjustments
    $('#wp-email-capture-email-widget').attr('placeholder', 'Enter your email address');
    $('.wp-email-capture-submit').wrap('<span class="wp-email-capture-submit-wrap"></span>');
    $('.wp-email-capture-submit-wrap').append('<i class="far fa-paper-plane"></i>');

    // Search form alteration
    $('.search-box .search-form .screen-reader-text').html(scriptVar.searchLabel);
    $('.search-box .search-form .search-field').attr( 'placeholder', scriptVar.searchPlaceholder );
    $('.search-box .search-form').append('<i class="fa fa-search"></i>');


    // Ingredients increment control
    var orgCounter = parseInt($('.servings .count').text());

    $('.servings .increase').live('click', function(){
        $('.ingre-single').each(function(){
            var ingreValue = $(this).children('label').children('.text').children('i').text();
            var divided = ingreValue/orgCounter;
            var newVal = divided*(orgCounter+1);
            $(this).children('label').children('.text').children('i').text(parseFloat(roundToTwoPoints(newVal)));
        });
        orgCounter++;
        $('.servings .count').text(roundToTwoPoints(orgCounter));
    });

    $('.servings .decrease').live('click', function(){
        if( orgCounter < 2 ){
            alert( scriptVar['servingGoingLow'] );
        } else {
            $('.ingre-single').each(function(){
                var ingreValue = $(this).children('label').children( '.text' ).children( 'i' ).text();
                var divided = ingreValue/orgCounter;
                var newVal = divided*(orgCounter-1);
                $(this).children('label').children('.text').children('i').text( parseFloat( roundToTwoPoints( newVal ) ) );
            });
            orgCounter--;
            $('.servings .count').text( roundToTwoPoints( orgCounter ) );
        }
    });

    function roundToTwoPoints( num ){
        return +( Math.round( num + "e+2" )  + "e-2" );
    }


    /*-----------------------------------------------------------------------------------*/
    // Sticky header
    /*-----------------------------------------------------------------------------------*/
    var stickyMenu = $(".sticky-header-wrap");

    $(window).on( 'scroll', function(){
        if (window.pageYOffset > 140) {
            stickyMenu.stop().fadeIn(200);
        } else {
            stickyMenu.stop().fadeOut(200);
        }
    });

    /*-----------------------------------------------------------------------------------*/
    // Listing Ingredient Sets Control
    /*-----------------------------------------------------------------------------------*/
    var ingredientsButton = $('.extra-view.ingredients');
    var nutrientsButton = $('.extra-view.nutrients');
    var nutIngreCloseButton = $('.nuts-box .close, .ingre-box .close');
    var allViewBoxes = $('.additional-list-box');

    nutIngreCloseButton.on('click', function(){
        $(this).parent().fadeOut(200);
    });

    ingredientsButton.on('click', function(){
        allViewBoxes.hide();
        //$(this).closest('.listing-wrapper').find('.nuts-box').hide();
        $(this).closest('.listing-wrapper').find('.ingre-box').fadeIn(200);
    });
    nutrientsButton.on('click', function(){
        allViewBoxes.hide();
        //$(this).closest('.listing-wrapper').find('.ingre-box').hide();
        $(this).closest('.listing-wrapper').find('.nuts-box').fadeIn(200);
    });

    var ingreTitleControl = $( '.ingre_set_list_dd' );
    ingreTitleControl.on( 'change', function(){
        var wrapID = $(this).closest('.ingre-box').data('recipe-id');
        var selectedValue = $(this).attr('value');
        selectedValue = selectedValue.split(' ').join('');
        var allTargets = $('.' + wrapID + ' .ingre-list-wrap');
        var exactTarget = $('.' + wrapID + ' .ingre-list-wrap.' + selectedValue);

        allTargets.hide();
        exactTarget.show();
    });

})(jQuery);