<?php
/*
 * Template Name: Contact
 */

get_header();

get_template_part( 'partials/header/banner' );

// Get all custom post meta information related to contact page
$contact_meta_data = get_post_custom( get_the_ID() );
    ?>

    <section class="recipes-home-body inner-page">
        <div class="container">
            <?php
            if ( have_posts() ):
                while ( have_posts() ):
                    the_post();
                    $contents = get_the_content();
                    if( ! empty( $contents ) ) {
	                    ?>
	                    <div class="inner-wrapper">
		                    <div class="contact-contents">
			                    <?php the_content(); ?>
		                    </div>
	                    </div>
	                    <?php
                    }
                endwhile;
            endif;
            ?>

            <div class="recipe-set">
	            <?php
	            if( isset( $contact_meta_data[ 'inspiry_widget_section_heading' ] ) && !empty( $contact_meta_data[ 'inspiry_widget_section_heading' ][0] ) ) {
		            ?>
		            <h2><?php echo esc_html( $contact_meta_data[ 'inspiry_widget_section_heading' ][0] ); ?></h2>
		            <?php
	            }
	            ?>
                <div class="contact-container">
                    <?php
                    if ( is_active_sidebar( 'contact-template-area' ) ) {
                        ?>
                        <div class="row">
                            <?php dynamic_sidebar( 'contact-template-area' ); ?>
                        </div>
                        <div class="separator-post"></div>
                        <?php
                    }
                    ?>
                    <div class="row">
                        <div class="col-md-6">
                            <?php
                            /*
                             * Contact form
                             */
                            $inspiry_form_heading = null;
                            if ( isset( $contact_meta_data[ 'inspiry_contact_form_heading' ] ) ) {
                                $inspiry_form_heading = $contact_meta_data[ 'inspiry_contact_form_heading' ][ 0 ];
                            }

                            $inspiry_contact_form_7 = null;
                            if ( isset( $contact_meta_data[ 'inspiry_contact_form_7' ] ) ) {
                                $inspiry_contact_form_7 = $contact_meta_data[ 'inspiry_contact_form_7' ][ 0 ];
                            }

                            if ( !empty( $inspiry_contact_form_7 ) ) {

	                            if ( !empty( $inspiry_form_heading ) ) {
		                            ?>
		                            <h3 class="contact-form-heading"><?php echo esc_html( $inspiry_form_heading ); ?></h3>
		                            <?php
	                            }
	                            ?>
	                            <div class="inspiry-contact-form-wrapper">
		                            <?php echo do_shortcode( $inspiry_contact_form_7 ); ?>
	                            </div>
	                            <?php
                            }
                            ?>
                        </div>
                        <div class="col-md-6">
                            <?php
                            /*
                             * Google Map
                             */
                            if ( isset( $contact_meta_data[ 'inspiry_map_address' ] ) && isset( $contact_meta_data[ 'inspiry_map_location' ] ) ) {
	                            ?>
	                            <div class="contact-option-single">
		                            <h3><?php esc_html_e('Find Location on Map', 'inspiry-recipe-press'); ?></h3>
		                            <div class="map-wrapper">
			                            <div id="map_canvas"></div>

		                            </div>
	                            </div>
	                            <?php
                            }
                            ?>
                            <!--google map ends-->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

<?php
get_footer();
?>