<?php
/*
 * Template Name: Recipe Listing
 */

get_header();

get_template_part( 'partials/header/banner' );

global $inspiry_allowed_html_tags;

$list_style = 'list';
if( isset( $_GET['list-style'] ) ){
	$list_style = ( $_GET['list-style'] == 'grid' ) ? 'grid' : 'list';
} else {
	$list_style = inspiry_get_option( 'inspiry_recipe_default_view' );
}

$recipes_title = inspiry_get_option( 'inspiry_recipes_listing_heading' );
$recipes_count = inspiry_get_option( 'inspiry_recipes_listing_count' );
if( empty( $recipes_count ) ){
	$recipes_count = 6;
}

if ( is_active_sidebar( 'recipe-listing-sidebar' ) ){
	$page_contents_classes = 'col-md-8 col-lg-9';
} else {
	$page_contents_classes = 'col-md-12';
}
?>
	<div class="recipes-home-body inner-page">
		<div class="container">
			<div class="row">
				<div class="<?php echo esc_attr( $page_contents_classes ); ?>">
					<div class="recipe-set">
						<div class="listing-buttons">
							<span class="grid <?php if( $list_style == 'grid' ){ echo esc_attr( 'current' ); } ?>"><i class="fas fa-th-large"></i></span>
							<span class="list <?php if( $list_style != 'grid' ){ echo esc_attr( 'current' ); } ?>"><i class="fas fa-bars"></i></span>
						</div>
						<h2><?php if( $recipes_title ){ echo esc_html( $recipes_title ); } else { echo '&nbsp;'; } ?></h2>

						<div class="recipe-listing listing-<?php echo esc_attr( $list_style ); ?>">

							<?php
							if( class_exists( 'Inspiry_Recipes' ) ):

								if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
								elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
								else { $paged = 1; }
								$recipes_query = new WP_Query( array (
									'post_type' => 'inspiry_recipes',
									'posts_per_page' => $recipes_count,
									'paged' => $paged
								) ) ;

								if( $recipes_query->have_posts() ):
									while( $recipes_query->have_posts() ) :
										$recipes_query->the_post();
										global $post;

										get_template_part( 'partials/recipe/recipe-listing-item' );

									endwhile;
								endif;

								inspiry_pagination( $recipes_query );
								wp_reset_postdata();

							else:

								inspiry_highlighted_message( '', esc_html__( 'Inspiry Recipes Plugin is not installed or activated. Please contact to the administrator of this site.', 'inspiry-recipe-press' ) );

							endif;
							?>
						</div>
					</div>
				</div>

				<?php
				if ( is_active_sidebar( 'recipe-listing-sidebar' ) ) {
					?>
					<div class="col-md-4 col-lg-3">
						<?php get_sidebar( 'recipe-listing' ); ?>
					</div>
					<?php
				}
				?>
			</div>

		</div>
	</div>

<?php

get_footer();