<?php
/**
 * Call to action banner
 */
$cta_image = inspiry_get_option( 'inspiry_footer_cta_image' );
$cta_title = inspiry_get_option( 'inspiry_footer_cta_heading' );
$cta_text = inspiry_get_option( 'inspiry_footer_cta_text' );
$cta_btn_text = inspiry_get_option( 'inspiry_footer_cta_button_text' );
$cta_btn_url = inspiry_get_option( 'inspiry_footer_cta_button_link' );
?>

<!--recipe submit banner-->
<div class="recipe-submit-banner">
    <div class="container">
        <div class="recipe-banner">
            <?php
            if( $cta_image[ 'url' ] ){ echo '<img src="' . esc_url( $cta_image[ 'url' ] ) . '" alt="' . esc_html__( 'Call to action banner image', 'inspiry-recipe-press' ) . '" />'; }
            ?>
            <div class="row">
                <div class="col-md-9">
                    <div class="banner-text">
                        <?php
                        if( $cta_title ){ echo '<h2>' . esc_html( $cta_title ) . '</h2>'; }
                        if( $cta_text ){ echo '<p>' . esc_html( $cta_text ) . '</p>'; }
                        ?>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="recipe-button">
                        <?php
                        if( $cta_btn_text ){ echo '<a class="black-color small-button default-btn" href="' . esc_url( $cta_btn_url ) . '">' . esc_html( $cta_btn_text ) . '</a>'; }
                        ?>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
