<?php
/*
* Footer Variation One
*/
global $inspiry_allowed_html_tags;
$footer_v1_style = inspiry_get_option( 'inspiry_footer_v1_style' );
$footer_logo = inspiry_get_option( 'inspiry_footer_logo', 'url' );
$footer_info_text = inspiry_get_option( 'inspiry_footer_info_text' );
$footer_social = inspiry_get_option( 'inspiry_footer_social' );
$footer_social_heading = inspiry_get_option( 'inspiry_footer_social_heading' );
$copyrights = inspiry_get_option( 'inspiry_copyright_html' );

if( $footer_v1_style == 'boxed' ) {
    $style_class = 'boxed';
} else {
    $style_class = 'fluid';
}

?>
<!--footer-->
<div class="footer footer-variant-one footer-<?php echo esc_attr( $style_class ); ?> animate-footer">
    <div class="container">
        <div class="footer-inner">
            <div class="text-center">
                <?php
                if ( !empty( $footer_logo ) ) {

                    /*
                     * Image based logo
                     */
                    ?>
                    <a class="logo-footer wow animated zoomIn" href="<?php echo esc_url( home_url('/') ); ?>">
                        <img src="<?php echo esc_url( $footer_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name'  ) ); ?>" />
                    </a>
                    <?php

                }

                if ( !empty( $footer_info_text ) ) {
                    ?>
                    <p class="wow animated flipInX">
                        <?php
                        echo wp_kses( $footer_info_text, $inspiry_allowed_html_tags );
                        ?>
                    </p>
                    <?php
                }
                ?>
            </div>

            <div class="subs-social-options">
                <div class="row custom-row-footer">
                    <div class="col-md-6 custom-col-options">
                        <div class="left-side">
                            <?php
                            if ( is_active_sidebar( 'footer-a-left-widget' ) ) {
                                dynamic_sidebar( 'footer-a-left-widget' );
                            }
                            ?>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="right-side">
                            <?php
                            if( $footer_social ){
	                            if ( function_exists( 'inspiry_get_social_icons' ) ) {
		                            ?>
		                            <div class="widget widget-footer social-icons">
			                            <?php
			                            if( $footer_social_heading ){
				                            echo '<h2>' . esc_html( $footer_social_heading ) . '</h2>';
			                            } else {
				                            echo '<h2>' . esc_html__( 'Get Social with Us', 'inspiry-recipe-press' ) . '</h2>';
			                            }

			                            inspiry_get_social_icons( array(
				                            'option_id' => 'inspiry_footer_social_links'
			                            ) );
			                            ?>
		                            </div>
		                            <?php
	                            }
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
            /*
             * Footer copyright text
             */
            if ( !empty($copyrights ) ) {
                ?>
                <p class="footer-copyright text-center wow animated flipInX">
                    <?php
                    echo wp_kses( $copyrights, $inspiry_allowed_html_tags );
                    ?>
                </p>
                <?php
            }
            ?>
        </div>
    </div>
</div>
<!--footer ends-->