<?php
/*
 * Advance search template
 */
wp_reset_postdata();
global $post;
$current_page_ID = 0;
if( !is_category() && !is_tax() && !is_tag() && isset( $post->ID ) ){
	$current_page_ID = $post->ID;
}
$blog_page_id = get_option( 'page_for_posts' );
$advance_search_enable = inspiry_get_option( 'inspiry_advance_search_enable' );
$search_fields = inspiry_get_option( 'inspiry_search_fields', 'enabled' );
$search_page = inspiry_get_option( 'inspiry_search_page' );
$form_open_state = inspiry_get_option( 'inspiry_search_form_default_state' );
$form_enabled_pages = inspiry_get_option( 'inspiry_search_form_pages' );
$form_for_recipe_taxonomies = inspiry_get_option( 'inspiry_search_form_on_taxonomies' );
$form_for_recipe_categories = inspiry_get_option( 'inspiry_search_form_on_category' );
$form_for_recipe_tags = inspiry_get_option( 'inspiry_search_form_on_tags' );
$form_for_recipe_single = inspiry_get_option( 'inspiry_search_form_on_recipe_single' );
$form_for_blog_single = inspiry_get_option( 'inspiry_search_form_on_blog_single' );
$form_for_archive_date = inspiry_get_option( 'inspiry_search_form_on_archives' );

$allowed_pages = array();
if( !empty( $form_enabled_pages ) && is_array( $form_enabled_pages ) ) {
	foreach ( $form_enabled_pages as $page_id => $the_page ) {
		if ( $the_page == 1 ) {
			$allowed_pages[] = $page_id;
		}
	}
}

if( inspiry_get_option( 'inspiry_search_form_title' ) ) {
    $advance_search_title = inspiry_get_option( 'inspiry_search_form_title' );
} else {
    $advance_search_title = esc_html__('Find Recipes', 'inspiry-recipe-press');
}

if(
	(
		isset( $_GET['state'])
		&& $_GET['state'] == 'open'
	)
	|| $form_open_state == 1 ) {
	$search_form_status = 'open';

} else {
	$search_form_status = '';
}

if (
	$advance_search_enable
	&& 0 < count( $search_fields )
	&& $search_page
	&& (
		in_array( $current_page_ID, $allowed_pages )
		|| ( is_home() && in_array( $blog_page_id, $allowed_pages ) )
		|| is_page_template( 'page-templates/recipe-search.php' )
		|| ( is_tax() && $form_for_recipe_taxonomies )
		|| ( is_category() && $form_for_recipe_categories )
		|| ( is_tag() && $form_for_recipe_tags )
		|| ( is_singular( 'inspiry_recipes' ) && $form_for_recipe_single )
		|| ( is_singular( 'post' ) && $form_for_blog_single )
		|| ( is_date() && $form_for_archive_date )
	)
) {
    ?>
    <div class="advance-search <?php echo esc_attr( $search_form_status ); ?>">
        <div class="container">
            <div class="wrapper-search">
                <div class="container-tags">

                    <span class="tag">
                        <span class="tag-inner">
                            <?php echo esc_html( $advance_search_title ); ?> <i class="fa fa-angle-down"></i>
                        </span>
                    </span>

                </div>
	            <?php
	            $additional_fields = array(
		            array(
			            'field' => 'input', 'type' => 'hidden', 'name' => 'state', 'value' => 'open'
		            )
	            );

	            $additional_fields = apply_filters( 'inspiry_search_additional_fields', $additional_fields );

	            $search_form_args = array(
		            'search_page_url'       =>  $search_page,
		            'search_fields'         =>  $search_fields,
		            'additional_fields'     =>  $additional_fields
	            );
	            if( function_exists( 'inspiry_generate_advance_search_form' ) ){
		            inspiry_generate_advance_search_form( $search_form_args );
	            }
	            ?>
            </div>
        </div>
    </div>
    <?php
}
?>