<?php
/*
 * Banner Area
 */

global $post;
$inspiry_banner_title = null;
$skip_banner = false;

if ( is_page_template( 'page-templates/home.php' ) ) {      // Home page
    if( isset( $post->ID ) ){
        $home_banner_title = get_post_meta($post->ID, 'inspiry_home_banner_title', true);
        if(!empty( $home_banner_title )){
            $inspiry_banner_title = $home_banner_title;
        }
    }

} elseif ( is_page_template( 'page-templates/advance-search.php' ) ) {   // Search page
    $inspiry_banner_title = get_the_title();

} elseif ( is_page_template( 'page-templates/submit-recipe.php' ) ) {   // Submit recipe page

	if( isset( $post->ID ) && isset( $_GET['edit_recipe'] ) ){
		$submit_banner_title = get_post_meta($post->ID, 'inspiry_submit_recipe_edit_title', true);
		if(!empty( $submit_banner_title )){
			$inspiry_banner_title = $submit_banner_title;
		}
	} else {
		$inspiry_banner_title = get_the_title();
	}

} elseif ( is_home() || is_singular( 'post' ) ) {

    $blog_page_id = get_option('page_for_posts');
    if ( $blog_page_id ) {
        $inspiry_banner_title = get_the_title( $blog_page_id );
    }

} elseif ( is_page() ) {
    $inspiry_banner_title = get_the_title();

} elseif ( is_singular( 'inspiry_chef' ) ) {

    // cspbt = chef single page banner title
    $cspbt = inspiry_get_option( 'inspiry_chef_single_page_banner_title' );
    $inspiry_banner_title = ( $cspbt ) ? $cspbt : false;

} elseif ( is_singular( 'inspiry_recipes' ) ) {

    // rspbt = recipe single page banner title
    $rspbt = inspiry_get_option( 'inspiry_recipe_detail_page_title' );
    $inspiry_banner_title = ( $rspbt ) ? $rspbt : false;

} elseif ( is_single() ) {

    $inspiry_banner_title = get_the_title();

} elseif ( is_search() ) {

    $inspiry_banner_title = sprintf( esc_html__( 'Search Results for:', 'inspiry-recipe-press' ) . ' %s', get_search_query() );

} elseif ( is_author() ) {

    global $wp_query;
    $current_author = $wp_query->get_queried_object();
    if( !empty( $current_author->display_name ) ) {
        $inspiry_banner_title = $current_author->display_name;
    }

} elseif ( is_tax() ) {

    $term_obj = get_queried_object();
    $tax_obj = get_taxonomy($term_obj->taxonomy);
    $inspiry_banner_title = $tax_obj->labels->name;

} elseif ( is_archive() ) {

    $inspiry_banner_title = get_the_archive_title();

}

/*
 * If banner isn't skipped from theme options
 */
if ( !$skip_banner ) {

    $inspiry_banner_bg_image = inspiry_get_banner_image();
    $inspiry_banner_bg_color = '#ffffff';
    ?>
    <div class="banner banner-blog" style="<?php inspiry_generate_background( $inspiry_banner_bg_color, $inspiry_banner_bg_image ); ?>">
        <div class="container">
            <?php
            if ( !empty( $inspiry_banner_title ) ) {
            ?>
            <div class="main-heading">
                <?php

                if ( is_single() ) {
                    ?><h2 class="page-title"><?php echo esc_html( $inspiry_banner_title ); ?></h2><?php
                } else {
                    ?><h1 class="page-title"><?php echo esc_html( $inspiry_banner_title ); ?></h1><?php
                }
                ?>
            </div>
            <?php
            }
            ?>
        </div>
    </div>
    <!-- banner ends -->
    <?php
}

get_template_part('partials/header/advance-search');
?>