<?php
global $inspiry_allowed_html_tags;
global $inspiry_header_styles;
$inspiry_header_variation = inspiry_get_option( 'inspiry_header_menu_v3' );

if( $inspiry_header_variation == '1' ){
    $menu_class = 'variation-four';
} else {
    $menu_class = 'ext-var4';
}
?>
<!--header-->
<header <?php echo wp_kses( $inspiry_header_styles, $inspiry_allowed_html_tags ); ?>>

	<div class="small-user-nav clearfix">
		<?php
		get_template_part( 'partials/header/user-nav' );
		?>
	</div>

    <div class="header header-var2 <?php echo esc_attr( $menu_class ); ?>">

	    <?php
	    if( inspiry_get_option( 'display_sticky_header_menu' ) ){
		    get_template_part( 'partials/header/sticky-header' );
	    }
	    ?>

        <div class="container">
            <div class="wrapper-logo-banner">
                <div class="row">
                    <div class="col-md-3">
                        <?php get_template_part( 'partials/header/logo' ); ?>
                    </div>
                    <div class="col-md-9">
                        <div class="banner-login-wrapper">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="wrapper-links clearfix">
                                        <?php
                                        get_template_part( 'partials/header/user-nav' );
                                        get_template_part( 'partials/header/social-networks' );
                                        ?>
                                    </div>
                                </div>
                            </div>
                            <?php
                            $header_ad_box = inspiry_get_option( 'inspiry_header_ad_box' );
                            if( !empty( $header_ad_box ) ) {
                                ?>
                                <div class="banner-header">
                                    <?php echo wp_kses( $header_ad_box, $inspiry_allowed_html_tags ); ?>
                                </div>
                                <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- nav-->

        <div class="top-nav">
            <div class="container">
                <nav class="responsive-menu">
                    <?php
                    wp_nav_menu( array(
                        'theme_location' => 'main-menu',
                        'container' => false,
                        'menu_class' => 'main-menu',
                        'fallback_cb' => false
                    ) );
                    ?>
                </nav>

            </div>
        </div>
        <!-- nav ends-->
    </div>
</header>
<!--header ends-->