<?php
/**
 * Home Chefs Variation Two
 */

$chefs_title = inspiry_get_option( 'inspiry_home_chefs_heading' );
$inspiry_chef_ids = false;
$class_counter = 1;


if( inspiry_get_option( 'inspiry_chef_ids_to_display_sa' ) ){
    $inspiry_chef_cbs = inspiry_get_option( 'inspiry_chef_ids_to_display_sa' );
    foreach($inspiry_chef_cbs as $id => $value){
        if( !empty( $value ) ){
            $inspiry_chef_ids[] = $id;
        }
    }
}

$chefs_args = array (
    'post_type' => 'inspiry_chef', // custom post type name
    'no_found_rows' => true, // in case of no pagination needed
    'update_post_meta_cache' => false, // post meta will not be utilized
    'update_post_term_cache' => false, // taxonomy terms will not be utilized.
    'meta_query' => array(array('key' => '_thumbnail_id')) // get posts only with thumbnails
);


if( inspiry_get_option( 'inspiry_home_chefs_display_type' ) == 'selected'){
    $chefs_args['post__in'] = $inspiry_chef_ids; // fetching specific posts based on IDs
    $chefs_args['orderby'] = 'post__in'; // to order by given ids in post__in
} else {
    $post_count = inspiry_get_option( 'inspiry_home_chef_post_count' );
    $chefs_args[ 'posts_per_page' ] = !empty( $post_count) ? $post_count : 4;
}

$chefs_query = new WP_Query( $chefs_args );

if( $chefs_query->have_posts() ) :
    ?>
    <section class="homo-4-col common-mb">
        <div class="container">
            <?php
            if( $chefs_title ) {
                ?>
                <div class="heading-var1 text-center animated wow zoomIn">
                    <h2><?php echo esc_html( $chefs_title ); ?></h2>
                    <span class="heading-bell">
                        <?php get_template_part('images/svg/rating-icon'); ?>
                    </span>
                </div>
                <?php
            }
            ?>

            <div class="row wow animated fadeIn">

                <?php
                $anim_time = 100;
                while( $chefs_query->have_posts() ) :
                    $chefs_query->the_post();
                    $chef_info = new Inspiry_Chef(get_the_ID());
                    ?>
                    <div class="col-xs-6 col-md-3 custom-col-xxs">
                        <div class="col-single text-center">
                            <div class="graphic-box">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail('inspiry-chef-listing-thumbnail'); ?>
                                </a>
                            </div>
                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <span class="heading-bell boxed">
                                <?php get_template_part('images/svg/rating-icon'); ?>
                            </span>
                            <p>
	                            <?php
	                            echo wp_trim_words( get_the_excerpt(), 11 );
	                            ?>
                            </p>
                            <a class="read-more-bordered" href="<?php the_permalink(); ?>"><?php esc_html_e('Know more', 'inspiry-recipe-press'); ?></a>
                        </div>
                    </div>
                    <?php
	                if( $class_counter % 2 == 0 && $class_counter % 4 != 0 ){
		                echo '<span class="clearfix col2fix"></span>';
	                } elseif( $class_counter % 4 == 0 ){
		                echo '<span class="clearfix col4fix"></span>';
	                }

	                $class_counter++;
                endwhile;
                ?>
            </div>
        </div>
    </section>
    <?php
endif;
?>