<?php
/**
 * Header Search Bar with icons
 */

global $inspiry_allowed_html_tags;
?>
<div class="wrapper-search-bar">
    <div class="container">
        <div class="search-bar">
            <div class="row">
                <div class="col-lg-4 col-md-5">
                    <div class="search-box">
	                    <?php get_search_form(); ?>
                        <div class="search-option">
                            <span><?php esc_html_e('or', 'inspiry-recipe-press'); ?></span>
                        </div>
                    </div>
                </div>
                <?php
                $recipe_types = get_terms( array( 'taxonomy' => 'recipe-type' ) );

                if( $recipe_types ) {
                    ?>
                    <div class="col-lg-8 col-md-7">
                        <div class="wrapper-search-carousel">
                            <div class="search-carousel" id="search-carousel">

                                <?php
                                foreach( $recipe_types as $type ){

                                    $icon = get_term_meta( $type->term_id, 'inspiry_type_image_advanced', true );
                                    if( !empty( $icon ) && !is_wp_error( $icon ) ) {
                                        $url = wp_get_attachment_url( $icon );
                                        $image = '<span class="icon-container"><span class="image"><img src="'. esc_url( $url ) .'" alt="'. esc_attr( $type->name ) .'" /></span></span> ';
                                    } else {
                                        $icon = get_term_meta($type->term_id, 'inspiry_type_image_svg_code', true);
                                        if ( !empty( $icon ) && !is_wp_error( $icon ) ) {
                                            $image = '<span class="icon-container">' . $icon . '</span> ';
                                        } else {
                                            $image = false;
                                        }
                                    }

                                    ?>
                                    <div class="slide">
                                        <a href="<?php echo esc_url( get_term_link( $type->term_id ) ); ?>">
                                            <?php
                                            echo wp_kses( $image, $inspiry_allowed_html_tags );
                                            echo esc_html( $type->name );
                                            ?>
                                        </a>
                                    </div>
                                    <?php
                                }
                                ?>

                            </div>
                        </div>
	                    <span class="dragable-indication">
		                    <i class="far fa-hand-rock"></i>
	                    </span>
                    </div>
                    <?php
                }
                ?>
            </div>
        </div>
    </div>
</div>