<?php
/**
 * Slider Sections
 */

global $inspiry_allowed_html_tags;
global $inspiry_home_slider;

$inspiry_home_slider[ 'type' ] = inspiry_get_option( 'inspiry_slider_type' );
$inspiry_home_slider[ 'count' ] = intval( inspiry_get_option( 'inspiry_home_slides_number' ) );

if( ! isset ( $inspiry_home_slider['count'] ) ) {
    $inspiry_home_slider['count'] = 3;
}


if ( class_exists( 'Inspiry_Recipes' ) ) {

    $inspiry_home_slider[ 'query-args' ] = array(
        'post_type' => 'inspiry_recipes',
        'posts_per_page' => $inspiry_home_slider[ 'count' ],
        'meta_query' => array(
            array(
                'key' => 'inspiry_recipe_add_in_slider',
                'value' => 'yes',
                'compare' => 'LIKE',
            )
        )
    );

    if ( $inspiry_home_slider[ 'type' ] == 2) {

        get_template_part( 'partials/home/sliders/variation-two' );

    } elseif ( $inspiry_home_slider[ 'type' ] == 3) {

        get_template_part( 'partials/home/sliders/variation-three' );

    } elseif ( $inspiry_home_slider[ 'type' ] == 4) {

        get_template_part( 'partials/home/sliders/variation-four' );

    } else {

        get_template_part( 'partials/home/sliders/variation-one' );

    }
} else {
	?>
	<div class="container no-home-section">
		<div class="row">
			<div class="col-md-12">
				<?php
				inspiry_highlighted_message( '', esc_html__( 'Slider section needs "Inspiry Recipes" Plugin installed and activated to display recipes in slider.', 'inspiry-recipe-press' ), 'warning' );
				?>
			</div>
		</div>
	</div>
	<?php
}