<?php
/**
 * Fourth slider variation
 */

global $inspiry_home_slider;
global $inspiry_allowed_html_tags;
$slider_data = array();

// getting corner image of this section
$corner_image = inspiry_get_option( 'inspiry_home_slides_corner_image', 'url' );
$corner_image_side = inspiry_get_option( 'inspiry_home_slides_corner_image_side' );

?>
<section class="wrapper-home-slider variation-two variation-three-boxed">
    <div class="container">
        <div class="box-slider-var3-outer">
            <div class="box-slider-var3">
                <?php
                $slider_query = new WP_Query( apply_filters( 'inspiry_slider_query_args', $inspiry_home_slider['query-args'] ) );
                if ( $slider_query->have_posts() ) :
                    while ( $slider_query->have_posts() ) :
                        $slider_query->the_post();

                        global $post;

                        $slider_recipe = new Inspiry_Recipes( get_the_ID() );
                        $slider_image_id = get_post_meta( $post->ID, 'inspiry_recipe_slider_image', true );
                        ?>
                        <div>
                            <?php
                            echo ( !empty( $slider_image_id ) ) ? '<img src="' . wp_get_attachment_url( $slider_image_id ) . '" alt="' . the_title_attribute( array( 'echo' => false ) ) . '"/>' : '';
                            ?>
                            <div class="container custom-container-slide">
                                <div class="slide-detail text-center">
                                    <div class="slide-detail-inner">
                                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                        <div class="short-separator"></div>

                                        <div class="rating-box">
                                            <?php
                                            if( function_exists( 'inspiry_recipe_rating' ) ){
	                                            inspiry_recipe_rating( $post->ID );
                                            }
                                            if( function_exists( 'inspiry_get_avg_rating' ) ){
	                                            ?>
	                                            <br>
	                                            <span class="rating-figure">(<?php echo inspiry_get_avg_rating( $post->ID ); ?> / 5)</span>
	                                            <?php
                                            }
                                            ?>
                                        </div>

                                        <p>
                                            <?php
                                            echo wp_trim_words( get_the_excerpt(), 15 );
                                            ?>
                                        </p>
                                        <a class="read-more-bordered" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Learn More', 'inspiry-recipe-press' ); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                <?php
                    endwhile;
                endif;
                ?>
            </div>
            <?php
            echo inspiry_gen_corner_image( $corner_image, $corner_image_side, 'slider-corner-image' );
            ?>
        </div>
    </div>
</section>

<?php get_template_part('partials/home/search-bar'); ?>