<?php
/**
 * Third slider variation
 */

global $inspiry_home_slider;

if ( inspiry_get_option( 'inspiry_slider_v3_search_type' ) == 'simple-search' ) {
	?>
	<div class="fluid-search-slider">
		<?php get_template_part( 'partials/home/search-bar' ); ?>
	</div>
	<?php
}
?>

<section class="wrapper-home-slider variation-two">
	<div class="fluid-slider-var2">
		<?php
		$slider_query = new WP_Query( apply_filters( 'inspiry_slider_query_args', $inspiry_home_slider[ 'query-args' ] ) );
		if ( $slider_query->have_posts() ) :
			while ( $slider_query->have_posts() ) :
				$slider_query->the_post();

				global $post;

				$slider_recipe   = new Inspiry_Recipes( get_the_ID() );
				$slider_image_id = get_post_meta( $post->ID, 'inspiry_recipe_slider_image', true );
				?>
				<div>
					<?php
					if( ( ! empty( $slider_image_id ) ) ){
						?>
						<a href="<?php the_permalink(); ?>" class="slide-linked">
							<img src="<?php echo wp_get_attachment_url( $slider_image_id ); ?>" alt="<?php the_title_attribute(); ?>">
						</a>
						<img src="<?php echo wp_get_attachment_url( $slider_image_id ); ?>" alt="<?php the_title_attribute(); ?>">
						<?php
					}
					?>
					<div class="container custom-container-slide">
						<div class="slide-detail text-center">
							<div class="slide-detail-inner">
								<h2>
									<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
								</h2>
								<div class="short-separator"></div>
								<div class="rating-box">
									<?php
									if ( function_exists( 'inspiry_recipe_rating' ) ) {
										inspiry_recipe_rating( $post->ID );
									}
									if ( function_exists( 'inspiry_get_avg_rating' ) ) {
										?>
										<br>
										<span class="rating-figure">(<?php echo inspiry_get_avg_rating( $post->ID ); ?>
											/ 5)</span>
										<?php
									}
									?>
								</div>
								<p>
									<?php
									echo wp_trim_words( get_the_excerpt(), 15 );
									?>
								</p>
								<a class="read-more-bordered"
								   href="<?php the_permalink(); ?>"><?php esc_html_e( 'Learn More', 'inspiry-recipe-press' ); ?></a>
							</div>
						</div>
					</div>
				</div>
				<?php
			endwhile;
		endif;
		?>

	</div>
</section>

<?php
if ( inspiry_get_option( 'inspiry_slider_v3_search_type' ) == 'advanced-search' ) {
	get_template_part( 'partials/header/advance-search' );
}
?>
