<?php
/**
 * Second slider variation
 */

global $inspiry_home_slider,
       $allowed_html_tags;

$count = 0;
$slider_data = $inspiry_skip_posts = array();

$slider_query = new WP_Query( apply_filters( 'inspiry_slider_query_args', $inspiry_home_slider['query-args'] ) );

if ( $slider_query->have_posts() ) {
    while ( $slider_query->have_posts() ) {

        $slider_query->the_post();

        global $post;

        $slider_recipe = new Inspiry_Recipes(get_the_ID());

        $slider_data[$count]['image'] = false;
        $slider_image_id = get_post_meta($post->ID, 'inspiry_recipe_slider_image', true);

        if ($slider_image_id) {
            $slider_data[$count]['image'] = wp_get_attachment_url( $slider_image_id );
        }

        $slider_data[$count]['recipe_id'] = $inspiry_skip_posts[] = $post->ID;
        $slider_data[$count]['permalink'] = get_permalink();
        $slider_data[$count]['chef-id'] = $slider_recipe->get_chef_id();
        $slider_data[$count]['recipe-title'] = get_the_title();
        $slider_data[$count]['recipe-types'] = $slider_recipe->get_recipe_types( true );
        $slider_data[$count]['skill-level'] = $slider_recipe->get_skill_level( true );
        $slider_data[$count]['ready-in'] = $slider_recipe->get_ready_in( true, esc_html__( 'Hours', 'inspiry-recipe-press' ), esc_html__( 'Minutes', 'inspiry-recipe-press' ) );
        $slider_data[$count]['excerpt'] = get_inspiry_custom_excerpt( get_the_excerpt(), 15 );

        $count++;
    }
}

// getting corner image of this section
$corner_image = inspiry_get_option( 'inspiry_home_slides_corner_image', 'url' );
$corner_image_side = inspiry_get_option( 'inspiry_home_slides_corner_image_side' );

if( $corner_image ) {
    $cm_style = ' style="position: absolute; bottom: 0;';
    if( $corner_image_side == 'left-bottom' ){
        $cm_style .= ' left: 0;';
    } else {
        $cm_style .= ' right: 0;';
    }
    $cm_style .= ' z-index: -1;" ';

    $corner_tag = '<img class="slider-corner-image" alt="'. esc_html__( 'Corner Image', 'inspiry-recipe-press' ) .'" src="' . esc_url( $corner_image ) . '" '.$cm_style.' />';
}
?>

<section class="wrapper-home-slider variation-one">
    <div class="container">
        <div class="home-slider">
            <div class="slider-box">

                <!--left slider-->
                <div class="slider-left">
                    <div class="custom-margin" id="sync1">
                        <?php
                        if( !empty( $slider_data ) && is_array( $slider_data ) ) {
	                        foreach ( $slider_data as $data ) {
		                        ?>
		                        <div>
			                        <?php
			                        if ( isset( $data[ 'recipe-types' ] ) && ! empty( $data[ 'recipe-types' ] ) ) {
				                        $r_type      = get_term_by( 'slug', $data[ 'recipe-types' ], 'recipe-type' );
				                        $r_type_name = $r_type->name;
				                        $r_type_link = get_term_link( $r_type->slug, 'recipe-type' );
				                        echo '<span class="featured"><a href="' . esc_url( $r_type_link ) . '">' . esc_html( $r_type_name ) . '</a></span>';
			                        }
			                        ?>
			                        <?php
			                        ?>
			                        <a href="<?php echo esc_url( $data[ 'permalink' ] ); ?>">
				                        <img src="<?php echo esc_url( $data[ 'image' ] ); ?>" alt="slide"/>
			                        </a>
		                        </div>
		                        <?php
	                        }
                        }
                        ?>
                    </div>
                    <span class="custom-arrows">
                        <span class="left-arrow"><i class="fa fa-arrow-left"></i></span>
                        <span class="right-arrow"><i class="fa fa-arrow-right"></i></span>
                    </span>
                </div>
                <!--left slider ends-->

                <!--right slider-->
                <div class="slider-right">
                    <div class="custom-margin" id="sync2">
                        <?php
                        if( !empty( $slider_data ) && is_array( $slider_data ) ) {
	                        foreach ( $slider_data as $data ) {
		                        ?>
		                        <div>
			                        <div class="slide-detail fbox">
				                        <div class="box1 box">
					                        <h2>
						                        <a href="<?php echo esc_url( $data[ 'permalink' ] ); ?>"><?php echo esc_html( $data[ 'recipe-title' ] ); ?></a>
					                        </h2>

					                        <ul class="post-meta slider-rating">
						                        <?php
						                        echo ( isset( $data[ 'chef-id' ] ) && ! empty( $data[ 'chef-id' ] ) ) ? '<li class="author"><i class="fas fa-user"></i> <a href="' . esc_url( get_permalink( $data[ 'chef-id' ] ) ) . '">' . esc_html( get_the_title( $data[ 'chef-id' ] ) ) . '</a></li>' : '';
						                        echo ( isset( $data[ 'skill-level' ] ) && ! empty( $data[ 'skill-level' ] ) && !is_wp_error( get_term_link( $data[ 'skill-level' ], 'skill-level' ) ) ) ? '<li class="type"><i class="far fa-chart-bar"></i> <a href="' . esc_url( get_term_link( $data[ 'skill-level' ], 'skill-level' ) ) . '">' . esc_html( $data[ 'skill-level' ] ) . '</a></li>' : '';
						                        echo ( isset( $data[ 'ready-in' ] ) && ! empty( $data[ 'ready-in' ] ) ) ? '<li class="time"><i class="far fa-clock"></i> ' . esc_html( $data[ 'ready-in' ] ) . '</li>' : '';
						                        ?>
					                        </ul>
					                        <p>
						                        <?php echo esc_html( $data[ 'excerpt' ] ); ?>
					                        </p>
					                        <div class="rating-box">
						                        <?php
						                        if( function_exists( 'inspiry_recipe_rating' ) ){
							                        inspiry_recipe_rating( $data[ 'recipe_id' ] );
						                        }
						                        if( function_exists( 'inspiry_get_avg_rating' ) ){
							                      ?><span class="rating-figure">(<?php echo inspiry_get_avg_rating( $data[ 'recipe_id' ] ); ?> / 5)</span><?php
						                        }
						                        ?>
					                        </div>
					                        <?php
					                        $terms         = get_the_terms( $data[ 'recipe_id' ], 'recipe-type' );
					                        $similar_terms = array();
					                        foreach ( $terms as $term ) {
						                        $similar_terms[] = $term->slug;
					                        }
					                        $similar_recipes_query = new WP_Query( array(
						                        'post_type'              => 'inspiry_recipes',
						                        'no_found_rows'          => true,
						                        // in case of no pagination needed
						                        'update_post_meta_cache' => false,
						                        // post meta will not be utilized
						                        'update_post_term_cache' => false,
						                        // taxonomy terms will not be utilized.
						                        'posts_per_page'         => 3,
						                        'tax_query'              => array(
							                        array(
								                        'taxonomy' => 'recipe-type',
								                        'field'    => 'slug',
								                        'terms'    => $similar_terms
							                        )
						                        ),
						                        'post__not_in'           => $inspiry_skip_posts
					                        ) );

					                        if ( $similar_recipes_query->have_posts() ) :
						                        ?>
						                        <div class="similar-recipes">
							                        <span><?php esc_html_e( 'Similar Recipes', 'inspiry-recipe-press' ); ?></span>
							                        <ul>
								                        <?php
								                        while ( $similar_recipes_query->have_posts() ) :
									                        $similar_recipes_query->the_post();
									                        ?>
									                        <li>
										                        <a href="<?php the_permalink(); ?>"
										                           title="<?php the_title_attribute( array( 'echo' => false ) ); ?>">
											                        <?php
											                        the_post_thumbnail( 'inspiry-recipe-small-thumbs' );
											                        ?>
										                        </a>
									                        </li>
									                        <?php
								                        endwhile;
								                        ?>
							                        </ul>
						                        </div>
						                        <?php
					                        endif;
					                        wp_reset_postdata();
					                        ?>
				                        </div>

			                        </div>
		                        </div>
		                        <?php
	                        }
                        }
                        ?>
                    </div>
                </div>
                <!--right slider ends-->

            </div>
            <?php
            echo inspiry_gen_corner_image( $corner_image, $corner_image_side, 'slider-corner-image' );
            ?>
        </div>
    </div>

</section>
<!--main slider ends-->

<?php get_template_part('partials/home/search-bar'); ?>