<?php
/**
 * Home - Whats Hot Section
 */

$section_title = inspiry_get_option( 'inspiry_home_special_title' );
$special_recipe_id = inspiry_get_option( 'inspiry_home_special_recipe_post' );
$more_text = inspiry_get_option( 'inspiry_home_special_read_more_text' );
?>

<div class="food-tabs wow animated fadeIn">
    <div class="container">
        <div class="container-food-tabs">
            <!--food tabs-->
            <section class="row custom-row-food-tabs">
                <?php
                if ( class_exists( 'Inspiry_Recipes' ) ) {
                    ?>

                    <div class="col-md-7 col-lg-8">
                        <?php
                        if ( !empty( $special_recipe_id ) ) {
                            $special_recipe = get_post( $special_recipe_id );
                            ?>
                            <div class="recipe-of-day animated wow fadeInLeft">
                                <a href="<?php echo get_permalink( $special_recipe_id ); ?>">
                                    <?php echo get_the_post_thumbnail( $special_recipe_id, 'inspiry-recipe-single-slider-image-v2'); ?>
                                </a>
                                <div class="recipe-contents-outer">
                                    <div class="recipe-contents text-center">
                                        <div class="recipe-content-inner">
                                            <?php
                                            if( $section_title ){ echo '<span class="tag">' . esc_html( $section_title ) . '</span>'; }
                                            ?>
                                            <h2>
                                                <a href="<?php echo get_permalink( $special_recipe_id ); ?>">
                                                    <?php echo get_the_title( $special_recipe_id ); ?>
                                                </a>
                                            </h2>
                                            <div class="short-separator"></div>
                                            <p>
                                                <?php echo get_inspiry_custom_excerpt( $special_recipe->post_content, 9, '' ); ?>
                                            </p>
                                            <a class="read-more"
                                               href="<?php echo get_permalink( $special_recipe_id ); ?>"><?php echo esc_html( $more_text ); ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                        } else {
                            echo '<p class="text-red">' . esc_html__( 'No recipe is selected.', 'inspiry-recipe-press' ) . '</p>';
                        }
                        ?>
                    </div>
                    <?php
                } else {
	                ?>
	                <div class="col-md-12">
		                <?php
		                inspiry_highlighted_message( '' , esc_html__( 'Special Recipe section needs "Inspiry Recipes" Plugin installed and activated to display recipe of your choice.', 'inspiry-recipe-press' ), 'warning' );
		                ?>
	                </div>

	                <?php
                }
                ?>
                <div class="col-md-5 col-lg-4 custom-col-food-tabs">
                    <!--tabs start-->
                    <?php
                    if ( is_active_sidebar( 'home-special-recipe-sidebar' ) ) {
                        dynamic_sidebar( 'home-special-recipe-sidebar' );
                    }
                    ?>
                    <!--tabs end-->
                </div>
            </section>
        </div>
    </div>
</div>