<?php
/**
 * Recipe Listing Ingredients and Nutrients.
 * User: Hassan
 * Date: 12/02/2019
 */

global $post;
$ingre_box_status = inspiry_get_option( 'inspiy_listing_ingre_box_status' );
$nut_box_status = inspiry_get_option( 'inspiy_listing_nut_box_status' );

// Ingredients
if( $ingre_box_status ){
	$ingredients = get_post_meta( $post->ID, 'inspiry_recipe_ingredient_sections_group', true );
	if( !empty( $ingredients ) ) {
		?>
		<div class="ingre-box additional-list-box recipe-<?php echo esc_attr( $post->ID ); ?>" data-recipe-id="recipe-<?php echo esc_attr( $post->ID ); ?>">
			<span class="close">x</span>
			<h5><?php esc_html_e( 'Ingredients', 'inspiry-recipe-press' ) ?></h5>
			<?php
			if( count( $ingredients ) > 1 ){
				// getting Ingredient set title and list
				foreach( $ingredients as $ingredient ){
					$set_titles[] = isset( $ingredient[ 'inspiry_recipe_ingredient_set_title' ]) ? $ingredient[ 'inspiry_recipe_ingredient_set_title' ] : false;
					if( isset( $ingredient[ 'inspiry_recipe_ingredient_set_list' ] ) ){
						$set_lists[] = $ingredient[ 'inspiry_recipe_ingredient_set_list' ];
					}
				}

				if( $set_lists ){
					?>
					<select name="ingre_set_list_dd" class="ingre_set_list_dd advance-selectable">
						<?php
						foreach( $set_titles as $set_title ){
							?>
							<option value="<?php echo esc_attr( $set_title ); ?>"><?php echo esc_html( $set_title ); ?></option>
							<?php
						}
						?>
					</select>
					<?php
				}
			} else {
				foreach( $ingredients as $ingredient ){
					if( isset( $ingredient[ 'inspiry_recipe_ingredient_set_list' ] ) ){
						$set_lists[] = $ingredient[ 'inspiry_recipe_ingredient_set_list' ];
					} else {
						$set_lists[] = false;
					}
				}
			}

			if( isset( $set_lists ) ) {
				$list_count = 0;
				foreach ( $set_lists as $list ) {
					$classes = ( $list_count == 0 ) ? 'current' : false;
					$classes .= ' list-' . $list_count;
					$list_array = explode( PHP_EOL, $list );
					echo '<div class="ingre-list-wrap ' . esc_attr( $classes ) . ' ' . esc_attr( str_replace(' ', '', $set_titles[$list_count]) ) . '">';
					echo '<ul class="inner-items">';
					foreach ( $list_array as $list_single ) {
						if ( ! empty( $list_single ) ) {
							?>
							<li itemprop="recipeIngredient"><?php echo esc_html( $list_single ); ?></li>
							<?php
						}
					}
					echo '</ul>';
					echo '</div>';
					$list_count ++;
				}
			}
			?>
		</div>
		<?php
	}
}

// Nutrients
if( $nut_box_status ){
	$calories = get_post_meta( $post->ID, 'inspiry_recipe_nutrients_calories', true );
	$nutrients = get_post_meta( $post->ID, 'inspiry_recipe_nutrients', true );
	if( !empty( $nutrients ) ) {
		?>
		<div class="nuts-box additional-list-box">
			<span class="close">x</span>
			<h5><?php esc_html_e( 'Nutrients', 'inspiry-recipe-press' ) ?></h5>
			<ul class="inner-items">
				<?php
				if( $calories ){ echo '<li>' . esc_html__( 'Calories: ', 'inspiry-recipe-press' ) . $calories . '</li>'; }
				foreach( $nutrients as $nutrient ){
					$nuts_array = explode( ',', $nutrient );
					?>
					<li><?php echo esc_html( $nuts_array[0] ) . ': ' . esc_html( $nuts_array[1] ); ?></li>
					<?php
				}
				?>
			</ul>
		</div>
		<?php
	}
}