<?php
/**
 * ingredients and nutrients section of recipe
 */

global $inspiry_single_recipe,
       $inspiry_allowed_html_tags,
       $post;

$recipe_id = get_the_ID();
$fallback = false;

// getting ingredients meta value
$ingredients_main_title = $inspiry_single_recipe->get_recipe_meta( 'inspiry_recipe_ingredients_main_title' );
$ingredients = get_post_meta( $post->ID, 'inspiry_recipe_ingredient_sections_group', true );

// fallback for old ingredients functionality
if( empty( $ingredients ) && is_array( $ingredients ) ){
	$ingredients = get_post_meta( $recipe_id, 'inspiry_recipe_ingredients', true );
	$ingredients_title = $inspiry_single_recipe->get_recipe_meta( 'inspiry_recipe_ingredients_title' );
	$fallback = true;
}

$ingre_button = false;

if( inspiry_get_option( 'inspiry_recipe_shopping_list' ) == 1 ){
	$ingre_button = '<span class="shop-list-add"><span class="text">' . esc_html__('Add to Shopping List', 'inspiry-recipe-press') . '</span> +</span>';
}


// getting nutrients meta value
$nutrients = get_post_meta( $recipe_id, 'inspiry_recipe_nutrients', true );

// if one of the items is available
if( !empty( $ingredients ) || !empty( $nutrients ) ) {
    ?>
    <div class="ingredients-checkbox">
        <?php
        if( !empty( $ingredients ) ) {
	        if( $fallback ) {
		        ?>
		        <div class="ingredients <?php echo empty( $ingredients_title ) ? esc_attr( 'no-heading' ) : false; ?>">
			        <?php echo ! empty( $ingredients_title ) ? '<h3>' . esc_html( $ingredients_title ) . '</h3>' : ''; ?>
			        <ul>
				        <?php
				        foreach ( $ingredients as $ingredient ) {
					        ?>
					        <li>
						        <?php echo wp_kses( $ingre_button, $inspiry_allowed_html_tags ); ?>
						        <label>
							        <input type="checkbox"/>
							        <span class="text" itemprop="recipeIngredient"><?php echo esc_html( $ingredient ); ?></span>
						        </label>
					        </li>
					        <?php
				        }
				        ?>
			        </ul>
		        </div>
		        <?php
	        } else {
		        ?>
		        <div class="ingredients multi-set <?php echo empty( $ingredients_main_title ) ? esc_attr( 'no-heading' ) : false; ?>">
			        <?php
			        echo !empty( $ingredients_main_title ) ? '<h3>' . esc_html( $ingredients_main_title ) . '</h3>' : '';

			        if( count( $ingredients ) > 1 ) {

				        // getting Ingredient set title and list
				        foreach( $ingredients as $ingredient ){
					        $set_titles[] = isset( $ingredient[ 'inspiry_recipe_ingredient_set_title' ]) ? $ingredient[ 'inspiry_recipe_ingredient_set_title' ] : false;
					        if( isset( $ingredient[ 'inspiry_recipe_ingredient_set_list' ] ) ){
						        $set_lists[] = $ingredient[ 'inspiry_recipe_ingredient_set_list' ];
					        } else {
						        $set_lists[] = false;
					        }
				        }

				        ?>
				        <ul class="ingre-tabs">
					        <?php
					        $active = ' class="active"';
					        foreach ( $set_titles as $set_title ) {
						        echo ! empty( $set_title ) ? '<li ' . wp_kses( $active, $inspiry_allowed_html_tags ) . '>' . esc_html( $set_title ) . '</li>' : false;
						        $active = false;
					        }
					        ?>
				        </ul>
				        <?php
			        } else {

				        // getting Ingredient set title and list
				        foreach( $ingredients as $ingredient ){
					        if( isset( $ingredient[ 'inspiry_recipe_ingredient_set_list' ] ) ){
						        $set_lists[] = $ingredient[ 'inspiry_recipe_ingredient_set_list' ];
					        } else {
						        $set_lists[] = false;
					        }
				        }
			        }
			        ?>

			        <div class="ingre-lists">
				        <?php
				        $list_count = 1;
				        if( isset( $set_lists ) ) {
					        foreach ( $set_lists as $list ) {
						        $classes = ( $list_count == 1 ) ? 'current' : false;
						        $classes .= ' list-' . $list_count;
						        $list_array = explode( PHP_EOL, $list );
						        echo '<div class="' . esc_attr( $classes ) . '">';
						        if( isset( $set_titles[ $list_count - 1 ] ) ){ echo '<div class="print-only-titles"><h4>' . $set_titles[ $list_count - 1 ] . '</h4></div>'; }
						        echo '<ul>';
						        foreach ( $list_array as $list_single ) {
							        if ( ! empty( $list_single ) ) {
								        $ingre_parts = explode( ',', $list_single );
								        if( count($ingre_parts) > 1 ){
									        preg_match_all('!\d+!', $ingre_parts[1], $matches);
									        $just_number = $matches[0][0];
									        $new_number = '<i>'. $just_number . '</i>';
									        $full_value = str_replace($just_number, $new_number, $ingre_parts[1]);
									        $list_single = $ingre_parts[0] . ' <b class"ingre-value">' . $full_value . '</b>';
								        }
								        ?>
								        <li class="ingre-single">
									        <?php
									        // add to shopping list button
									        echo wp_kses( $ingre_button, $inspiry_allowed_html_tags );
									        ?>
									        <label>
										        <input type="checkbox"/>
										        <span class="text" itemprop="recipeIngredient"><?php echo wp_kses( $list_single, $inspiry_allowed_html_tags ); ?></span>
									        </label>
								        </li>
								        <?php
							        }
						        }
						        echo '</ul>';
						        echo '</div>';
						        $list_count ++;
					        }
				        }
				        ?>
			        </div>
		        </div>
		        <?php
	        }
        }


        if( !empty( $nutrients ) ) {
            $nutrients_title = $inspiry_single_recipe->get_recipe_meta( 'inspiry_recipe_nutrients_title' );
            $calories = $inspiry_single_recipe->get_recipe_meta( 'inspiry_recipe_nutrients_calories' );
            ?>
            <div itemprop="nutrition" itemscope itemtype="http://schema.org/NutritionInformation" class="nutritional <?php echo empty( $nutrients_title ) ? esc_attr( 'no-heading' ) : false; ?>">
                <?php
                echo !empty( $nutrients_title ) ? '<h3>' . esc_html( $nutrients_title ) . '</h3>' : '';

                $count = 1;
                $total_nuts = count( $nutrients );
                if( $calories > 0 ){
	                echo '<div class="nutrition-detail">';
	                ?>
	                <div class="left-box">
		                <?php esc_html_e( 'Calories', 'inspiry-recipe-press' ); ?>
		                <br/>
		                <span itemprop="calories"><?php echo esc_html( $calories ); ?></span>
	                </div>
	                <?php
	                $count++;
	                $total_nuts++;
                }
                if( is_array( $nutrients ) && !empty( $nutrients ) ) {

	                foreach ( $nutrients as $nutrient ) {
		                $nut_array = explode( ',', $nutrient );
		                if( $count % 2 != 0 ){ echo '<div class="nutrition-detail">'; }
		                ?>
		                <div class="<?php if( $count % 2 == 0 ){ echo esc_attr( 'right-box' ); } else { echo esc_attr( 'left-box' ); } ?>">
			                <?php echo isset( $nut_array[0] ) ? esc_html( $nut_array[0] ) : ''; ?>
			                <br/>
			                <span><?php if( isset( $nut_array[1] ) ){ echo esc_html( $nut_array[1] ); } ?></span>
		                </div>
		                <?php
		                if( $count % 2 == 0 || $count == $total_nuts ){ echo '</div>'; }
		                $count ++;
	                }

                } else {
	                echo '</div>';
                }
                ?>
            </div>
            <?php
        }
        ?>
    </div>
    <?php
}