<?php
/**
 * Recipe single tags and social icons bar
 */

global $inspiry_single_recipe,
       $inspiry_allowed_html_tags,
       $post;

// getting chef/author section title
$chef_info_title = inspiry_get_option( 'inspiry_recipe_chef_info_title' );
$chef_id =
$author_type =
$chef_url =
$chef_thumbnail =
$chef_name =
$chef_fb =
$chef_tw =
$chef_li =
$chef_pin =
$chef_ig =
$chef_bio = 0;

if( function_exists('rwmb_meta') ) {

    $author_type = rwmb_meta('inspiry_recipe_chef_display_option');

    if ( $author_type == 'chef_info' ) {

        // getting chef id
        $chef_id = $inspiry_single_recipe->get_chef_id();

        // getting chef data
        $chef_post = new Inspiry_Chef($chef_id);
        $chef_email = $chef_post->get_email();
        $chef_name = get_the_title($chef_id);
        $chef_url = get_permalink($chef_id);
        $chef_thumbnail = get_the_post_thumbnail($chef_id, 'inspiry-chef-listing-thumbnail');
        $chef_job_title = $chef_post->get_job_title();
        $chef_bio = get_inspiry_custom_excerpt($chef_post->get_bio(), 60);
        $chef_fb = $chef_post->get_facebook();
        $chef_tw = $chef_post->get_twitter();
        $chef_li = $chef_post->get_linkedin();
        $chef_pin = $chef_post->get_pinterest();
        $chef_ig = $chef_post->get_instagram();
        $read_more = '<a href="' . get_permalink( $chef_id ) . '" class="read-more-angle">' . esc_html__( 'Read More', 'inspiry-recipe-press' ) . ' <i class="fas fa-angle-double-right"></i></a>';

    } elseif( $author_type == 'post_author_info' ) {

        $chef_id = get_the_author_meta('ID');
        $chef_email = get_the_author_meta('user_email');
        $chef_name = get_the_author_meta('display_name');
	    $chef_job_title = get_the_author_meta('job_title');
        $chef_url = get_author_posts_url($chef_id);

	    $profile_image_id = get_the_author_meta('profile_image_id');
	    if( !empty( $profile_image_id ) && $profile_image_id > 0 ){
		    $chef_thumbnail = wp_get_attachment_image( $profile_image_id, 'inspiry-chef-listing-thumbnail', false, array( 'class' => 'img-responsive' ) );
	    } else {
		    $chef_thumbnail = get_avatar( $chef_email, 257 );
	    }

        $chef_bio = get_inspiry_custom_excerpt( get_the_author_meta( 'description' ), 60 );
        $chef_fb = get_the_author_meta('facebook_url');
        $chef_tw = get_the_author_meta('twitter_url');
        $chef_li = get_the_author_meta('linkedin_url');
        $chef_pin = get_the_author_meta('pinterest_url');
        $chef_ig = get_the_author_meta('instagram_url');
        $read_more = false;

    }
}

        // if any chef is attached
        if ($chef_id > 0 && $author_type != 'none' && ( !empty( $chef_bio ) || !empty( $chef_job_title ) ) ) {
            ?>
            <div class="about-chef">
                <?php if( $chef_info_title ){ echo '<h3 class="lined" itemprop="author">' . esc_html( $chef_info_title ) . '</h3>'; } ?>
                <div class="listing">
                    <?php
                    if ( !empty( $chef_thumbnail ) ) {
                        ?>
                        <div class="image">
                            <div class="image-inner">
                                <a href="<?php esc_url( $chef_url ); ?>">
                                    <?php echo wp_kses( $chef_thumbnail, $inspiry_allowed_html_tags ); ?>
                                </a>
                            </div>
                        </div>
                        <?php
                    }
                    ?>
                    <div class="detail">
                        <div class="row">
                            <div class="col-sm-7">
                                <h4>
                                    <a href="<?php echo esc_url( $chef_url ); ?>"><?php echo esc_html( $chef_name ); ?></a>
                                </h4>
	                            <?php echo !empty( $chef_job_title ) ? '<span class="type">' . esc_html( $chef_job_title ) . '</span>' : ''; ?>
                            </div>
                            <div class="col-sm-5">
                                <ul class="chef-social-links">
                                    <?php
                                    if( $chef_fb ){ echo '<li><a href="' . esc_url( $chef_fb ) . '"><i class="fab fa-facebook"></i></a></li>'; }
                                    if( $chef_tw ){ echo '<li><a href="' . esc_url( $chef_fb ) . '"><i class="fab fa-twitter"></i></a></li>'; }
                                    if( $chef_li ){ echo '<li><a href="' . esc_url( $chef_fb ) . '"><i class="fab fa-linkedin"></i></a></li>'; }
                                    if( $chef_pin ){ echo '<li><a href="' . esc_url( $chef_fb ) . '"><i class="fab fa-pinterest-p"></i></a></li>'; }
                                    if( $chef_ig ){ echo '<li><a href="' . esc_url( $chef_fb ) . '"><i class="fab fa-instagram"></i></a></li>'; }
                                    ?>
                                </ul>
                            </div>
                        </div>
                        <p><?php echo wp_kses( $chef_bio, $inspiry_allowed_html_tags ); ?></p>
                        <?php echo wp_kses( $read_more, $inspiry_allowed_html_tags ); ?>
                    </div>
                </div>
            </div>
            <?php
        }

?>