<?php
/**
 * Recipe single header variation one
 */

global $inspiry_single_recipe,
       $inspiry_allowed_html_tags,
       $post;

$steps = get_post_meta( $post->ID, 'inspiry_recipe_method_steps_group', true );

if( !empty( $steps ) && is_array( $steps ) ) {

    $steps_title = get_post_meta( $post->ID, 'inspiry_recipe_method_steps_title', true );
    ?>
    <div class="recipe-steps" itemprop="recipeInstructions">
        <?php
        echo !empty( $steps_title ) ? '<h3 class="lined">' . esc_html( $steps_title ) . '</h3>' : '';

        echo '<ul class="steps-list">';
        foreach( $steps as $step ) {
            if(
                !empty( $step[ 'inspiry_recipe_step_title' ] ) ||
                !empty( $step[ 'inspiry_recipe_step_details' ] )
            ) {
                ?>
                <li>
                    <div class="step-single">
                        <?php
                        if ( !empty( $step['inspiry_recipe_step_image'][0] ) ) {
                            $attachment_id = $step['inspiry_recipe_step_image'][0];
                            $full_url = wp_get_attachment_url( $attachment_id );
                            $step_image = wp_get_attachment_image( $attachment_id, 'inspiry-recipe-single-slider-image-v1' );
                            ?>
                            <div class="step-image">
                                <a href="<?php echo esc_url( $full_url ) ?>" data-rel="recipe-steps-<?php echo esc_attr( $post->ID ); ?>"
                                   class="swipebox">
                                    <?php echo wp_kses( $step_image, $inspiry_allowed_html_tags ); ?>
                                </a>
                            </div>
                            <?php
                        }
                        ?>
                        <div class="step-detail">
                            <?php
                            if( !empty( $step[ 'inspiry_recipe_step_title' ] ) ){
                            ?>
                                <h3><?php echo esc_html( $step['inspiry_recipe_step_title'] ); ?></h3>
                                <?php
                            }
                            ?>
                            <p><?php echo wp_kses( $step['inspiry_recipe_step_details'], $inspiry_allowed_html_tags ); ?></p>
                        </div>
                    </div>
                </li>
                <?php
            }
        }
        echo '</ul>';
        ?>
    </div>
    <?php
}
?>