<?php
/*
 * Recipe Submit Form
 */
$desc_required = inspiry_get_option( 'inspiry_submit_form_description_required' );
$ingri_main_title_status = inspiry_get_option( 'inspiry_submit_form_ingre_main_title_show' );
$step_main_title_status = inspiry_get_option( 'inspiry_submit_form_steps_main_title_show' );
$video_field_status = inspiry_get_option( 'inspiry_submit_form_video_field_show' );
$tags_field_status = inspiry_get_option( 'inspiry_submit_form_tags_field_show' );
$tips_field_status = inspiry_get_option( 'inspiry_submit_form_tips_fields_show' );
$chef_author_section_status = inspiry_get_option( 'inspiry_submit_form_chef_author_show' );
$submit_notice_email = is_email(  inspiry_get_option( 'inspiry_submit_notice_email' ) );
$message_for_reviewer = inspiry_get_option( 'inspiry_submit_message_to_reviewer' );
$default_submit_status = inspiry_get_option( 'inspiry_default_submit_status' );
$my_recipe_template = inspiry_get_option( 'inspiry_my_recipes_page' );
$edit_recipe_status = $edit_recipe_id = $target_recipe = false;
$edit_recipe_data[ 'edit_notice' ][ 'status' ] = false;
$recipe_author_id = 0;
$current_user = wp_get_current_user();

if( !empty( inspiry_get_option( 'inspiry_recipe_submit_button_text' ) ) ){

	$recipe_submit_button_text = inspiry_get_option( 'inspiry_recipe_submit_button_text' );

} else {

	$recipe_submit_button_text = esc_html__( 'Submit Your Recipe', 'inspiry-recipe-press' );

}

if( !empty( inspiry_get_option( 'inspiry_recipe_edit_button_text' ) ) ){

	$recipe_edit_button_text = inspiry_get_option( 'inspiry_recipe_edit_button_text' );

} else {

	$recipe_edit_button_text = esc_html__( 'Update Recipe', 'inspiry-recipe-press' );

}

if( isset( $_GET['edit_recipe'] ) && ! empty( $_GET['edit_recipe'] ) ) {

	$edit_recipe_status = true;
	$edit_recipe_id = intval( trim( $_GET['edit_recipe'] ) );
	$recipe_author_id = get_post_field( 'post_author', $edit_recipe_id );
	$target_recipe = get_post( $edit_recipe_id );

}
?>
<div class="submit-recipe-form">
	<?php
	$submit_form_options = array(
		'form_title'        =>  array(
			'label'                 =>  esc_html__( 'Recipe Title', 'inspiry-recipe-press' ),
			'required'              =>  true
		),
		'description'       =>  array(
			'label'                 =>  esc_html__( 'Description', 'inspiry-recipe-press' ),
			'required'              =>  $desc_required
		),
		'ingredients'       =>  array(
			'main_label_status'     =>  $ingri_main_title_status,
			'main_label'            =>  esc_html__( 'Ingredients Main Title', 'inspiry-recipe-press' ),
			'label'                 =>  esc_html__( 'Ingredients Sets', 'inspiry-recipe-press' ),
			'status'                =>  true
		),
		'steps'             =>  array(
			'main_label_status'     =>  $step_main_title_status,
			'main_label'            =>  esc_html__( 'Title for method steps area', 'inspiry-recipe-press' ),
			'label'                 =>  esc_html__( 'Steps', 'inspiry-recipe-press' ),
			'status'                =>  true
		),
		'video'             =>  array(
			'status'                =>  $video_field_status,
			'label'                 =>  esc_html__( 'Video URL', 'inspiry-recipe-press' )
		),
		'tags'              =>  array(
			'status'                =>  $tags_field_status,
			'label'                 =>  esc_html__( 'Tags', 'inspiry-recipe-press' )
		),
		'tips'              =>  array(
			'main_label_status'     =>  true,
			'main_label'            =>  esc_html__( 'Tips & Variations Section Title', 'inspiry-recipe-press' ),
			'label'                 =>  esc_html__( 'Tips & Variations', 'inspiry-recipe-press' ),
			'status'                =>  $tips_field_status
		),
		'chef'              =>  array(
			'status'                =>  $chef_author_section_status,
			'label'                 =>  esc_html__( 'What to display in chef/author information box?', 'inspiry-recipe-press' ),
			'chefs_label'           =>  esc_html__( 'Select Chef', 'inspiry-recipe-press' )
		),
		'submit'            =>  array(
			'submit_button_label'   =>  $recipe_submit_button_text,
			'edit_button_label'     =>  $recipe_edit_button_text,
			'reviewer_message'      =>  $message_for_reviewer,
			'notice_email'          =>  $submit_notice_email,
			'default_submit_status' =>  $default_submit_status
		),
		'edit_recipe_status'        =>  $edit_recipe_status,
		'edit_recipe_id'            =>  $edit_recipe_id,
		'my_recipes_template'       =>  $my_recipe_template
	);

	if ( $edit_recipe_status && ( $target_recipe->post_type != 'inspiry_recipes' ) ) {

		inspiry_message(
			esc_html__( 'Oops','inspiry-recipe-press' ),
			esc_html__( 'It appears that, Provided Recipe id is invalid!', 'inspiry-recipe-press' )
		);

	} elseif( $edit_recipe_status && $current_user->ID != $recipe_author_id ){

		inspiry_message(
			esc_html__( 'Oops','inspiry-recipe-press' ),
			esc_html__( 'It appears that, Provided Recipe does not belong to you!', 'inspiry-recipe-press' )
		);

	} else {

		if( function_exists( 'inspiry_generate_submit_recipe_form' ) ){

			inspiry_generate_submit_recipe_form( $submit_form_options );

		}

	}
	?>
</div>